Getting Started with Network Administration and Deployment

Deployment Preparation
Getting Started with Network Administration and Deployment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Network administration and deployment requires careful planning and execution. This section gives you information about how to prepare for deployment, set up a license server, and set up and distribute the program.

If you are not familiar with network administration and deployment, you should familiarize yourself with the following topics before you attempt to deploy and administer the program over a network.

Topics in this section

  • Deployment Preparation
  • Setting Up Network Tools and Your License Server
  • Distributing the Program
Please send us your comment about this page


Deployment Preparation

Getting Started with Network Administration and Deployment
Getting Started with Network Administration and Deployment
System Requirements
Getting Started with Network Administration and Deployment >
Deployment Preparation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To prepare for a deployment, you should take the time to review the following requirements and options.

Topics in this section

  • System Requirements
  • Choose an Installation Type
  • Choose a License Server Model


System Requirements

Deployment Preparation
Deployment Preparation
Choose an Installation Type
Getting Started with Network Administration and Deployment > Deployment Preparation >
System Requirements
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section contains the system requirements for the location of the administrative image that you create, the network license server, and the client workstation.

Before you begin installing the program on a network, make sure that your servers and client workstations meet the minimum recommended hardware and software requirements for a deployment.

The program will automatically detect if the Windows operating system is the 32- or 64-bit version when installing AutoCAD. The appropriate version of AutoCAD will be installed. The 32-bit version of AutoCAD cannot be installed on a 64-bit version of Windows vice-versa.

See the following tables for administrative image, license server, and client workstation system requirements.

Hardware and Software Requirements - Administrative Image Location

Hard disk

2 GB or above (recommended)

The location where you create the administrative image must be a shared location so that users can access the administrative image.

Hardware and Software Requirements - Network License Server
Operating system | Windows Vista® 32-bit SP1 Windows Vista 64-bit SP1 Windows® XP 32-bit SP3 Windows XP 64-bit SP2 Windows 2003 R2 Server Edition Windows 2000 Server Edition Linux 64-bit Red Hat Enterprise Linux 5.0 WS (U4) Apple® Mac® OS 32-bit Intel 10.4.9 and later | The Network License Manager supports Ethernet network configurations only.
Computer/processor | Pentium® III or higher 450 MHz (minimum), Intel Mac |
Network interface card | Compatible with existing Ethernet network infrastructure | The Network License Manager supports multiple network interface cards, but at least one must be an Ethernet card.
Communication protocol | TCP/IP | The Network License Manager uses TCP packet types.

32-bit Hardware and Software Requirements

Operating systems

Windows® XP Home and Professional Edition SP2 or later

Microsoft® Windows Vista® SP1 or later including:

  • Windows Vista Enterprise
  • Windows Vista Business
  • Windows Vista Ultimate
  • Windows Vista Home Premium
For more information on Windows Vista versions see http://www.microsoft.com/windowsvista/versions/
Browser | Internet Explorer® 7.0 or later
CPU type

Windows XP - Intel® Pentium® 4 or AMD Athlon™ Dual Core processor, 1.6 GHz or higher with SSE2 technology

Windows Vista - Intel Pentium 4 or AMD Athlon Dual Core processor, 3.0 GHz or higher with SSE2 technology
Memory

Windows XP - 2 GB RAM

Windows Vista - 2 GB RAM
Display resolution | 1024 x 768 with True Color
Hard disk | Installation 1 GB | A 32-bit AutoCAD cannot be installed on a 64-bit Windows operating system and vice-versa.
Pointing device | MS-Mouse compliant
3D Modeling Additional Requirements
  • Intel Pentium 4 or AMD Athlon processor, 3.0 GHz or higher; or Intel or AMD Dual Core processor, 2.0 GHz or higher
  • 2 GB RAM or greater
  • 2 GB free hard disk space available not including installation
  • 1280 x 1024 32-bit color video display adapter (True Color) 128 MB or greater, Direct3D® capable workstation class graphics card

64-bit Hardware and Software Requirements

Operating systems

Windows® XP Professional x64 Edition SP2 or later

Microsoft® Windows Vista® SP1 or later including:

  • Windows Vista Enterprise
  • Windows Vista Business
  • Windows Vista Ultimate
  • Windows Vista Home Premium
For more information on Windows Vista versions see http://www.microsoft.com/windowsvista/versions/
Browser | Internet Explorer 7.0 or later
CPU type

AMD Athlon 64 with SSE2 technology

AMD Opteron™ with SSE2 technology

Intel Xeon with Intel EM64T support and SSE2 technology

Intel Pentium 4 with Intel EM64T support and SSE2 technology
Memory

Windows XP - 2 GB RAM

Windows Vista - 2 GB RAM
Display resolution | 1024 x 768 with True Color
Hard disk | Installation 1.5 GB | A 64-bit AutoCAD cannot be installed on a 32-bit Windows operating system and vice-versa.
Pointing device | MS-Mouse compliant
3D Modeling Additional Requirements
  • Intel Pentium 4 or AMD Athlon processor, 3.0 GHz or higher; or Intel or AMD Dual Core processor, 2.0 GHz or higher
  • 2 GB RAM or greater
  • 2 GB free hard disk space available not including installation
  • 1280 x 1024 32-bit color video display adapter (True Color) 128 MB or greater, Direct3D® capable workstation class graphics card


Choose an Installation Type

System Requirements
Deployment Preparation
Choose a License Server Model
Getting Started with Network Administration and Deployment > Deployment Preparation >
Choose an Installation Type
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you set up your deployment, you need to choose the type of installation to deploy. In the AutoCAD Deployment wizard, you specify one of the following installation types:

Network License installation

With this type of installation, you install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager. You also define the configuration of the Network License Manager so that the licenses can be accessed. Workstations running the program based on a network installation do not require individual activation. Licensing of this program is managed by at least one license server.

The main advantage is that you can install AutoCAD on more systems than the number of licenses you have purchased (for example, purchasing 25 licenses but installing on 40 workstations). At any one time, AutoCAD runs on the maximum number of systems for which you have licenses. This means you get a true floating license.

Multi-Seat Stand-Alone installation (Stand-Alone option)

Choose this type of installation for stand-alone installations where a single serial number and product key are used for multiple seats. Multi-seat stand-alone installations do not rely upon the Network License Manager to manage product licenses; however, you can still use the AutoCAD Deployment wizard to create administrative images and deployments. Registration and activation is more automated for multi-seat stand-alone installations. After the first activation using the multi-seat stand-alone serial number and product key, activation occurs automatically for all workstations based on this deployment, as long as your systems are connected to the Internet.

Stand-Alone installation (Stand-Alone option)

Choose this type of installation for stand-alone installations where a single serial number and product key are used for a single seat. Like a multi-seat stand-alone installation, you do not use the Network License Manager to manage product licensing, but installation, registration, and activation occurs on each workstation.

If you choose one of the Stand-Alone installation types, you can proceed to the section Distributing the Program.


Choose a License Server Model

Choose an Installation Type
Deployment Preparation
Setting Up Network Tools and Your License Server
Getting Started with Network Administration and Deployment > Deployment Preparation >
Choose a License Server Model
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you chose the Network License option, you need to decide which license server model to use to distribute the product licenses.

TipIf you are deploying a stand-alone or multi-seat stand-alone installation type, you do not use a license server model. Proceed to Distributing the Program.

For the network installation, use one of the following license server models:

  • Single license server model. The Network License Manager is installed on a single server, so license management and activity is restricted to this server. A single license file represents the total number of licenses available on the server.
  • Distributed license server model. Licenses are distributed across more than one server. A unique license file is required for each server. To create a distributed license server, you must run the Network License Manager on each server that is part of the distributed server pool.
  • Redundant license server model. You use three servers to authenticate a single license file. One server acts as the master, while the other two provide backup if the master server fails. With this configuration, licenses continue to be monitored and issued as long as at least two servers are still functional. The license file on all three servers is the same. You must install the Network License Manager on each server.

Each of these license server models is described in detail in the Network Licensing Guide. It is strongly recommended that you read that guide before you deploy the program. You can find the Network Licensing Guide by clicking the Read the Documentation selection, the Documentation link at the lower left corner of the Deployment wizard, or in the Help system.


Setting Up Network Tools and Your License Server

Choose a License Server Model
Getting Started with Network Administration and Deployment
Installing the Network License Manager
Getting Started with Network Administration and Deployment >
Setting Up Network Tools and Your License Server
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you are planning to have users run the program using network licenses, you need to use the Network License Manager and the Network License Activation Utility. The Network License Manager helps you configure and manage license servers. The Network License Activation Utility helps you get licenses and register them over the Internet.

Topics in this section

  • Installing the Network License Manager
  • Installing and Using the Network License Activation Utility
  • Configure Your License Server


Installing the Network License Manager

Setting Up Network Tools and Your License Server
Setting Up Network Tools and Your License Server
Installing and Using the Network License Activation Utility
Getting Started with Network Administration and Deployment > Setting Up Network Tools and Your License Server >
Installing the Network License Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Network License Manager is used to configure and manage the license servers.

To install your Network License Manager

  1. In the AutoCAD Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Autodesk Network License Manager and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, review your product selection and the current settings. If you don’t want to make any changes, click Install. If you want to change the install type or installation path, click Configure.
  5. On the Select the Installation Location page, accept the default installation path (C:\Program Files\Autodesk Network License Manager\) or Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
    WarningDo not install the Network License Manager on a remote drive. When you install the Network License Manager files, you must provide a path to a local drive. You must specify the drive letter; the universal naming convention (UNC) is not supported.
  6. On the Configuration Complete page, click Configuration Complete to return to the confirmation page.
  7. On the Review - Configure - Install page, click Install.
  8. When the Installation Complete page displays, click Finish.


Installing and Using the Network License Activation Utility

Installing the Network License Manager
Setting Up Network Tools and Your License Server
Configure Your License Server
Getting Started with Network Administration and Deployment > Setting Up Network Tools and Your License Server >
Installing and Using the Network License Activation Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

With the Network License Activation Utility, you can obtain licenses over the Internet, which saves time and effort in setting up a network-licensed version of the program. In addition, you can register your product, get automated support by email if you cannot obtain a license over the Internet, and save and migrate license files automatically.

To install your Network License Activation Utility

  1. In the AutoCAD Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Network License Activation Utility and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, review your product selection and the current settings. If you don’t want to make any changes, click Install. If you want to change the install type or installation path, click Configure.
  5. On the Select the Installation Type page, select Typical or Custom and either accept the default installation path (C:\Program Files\Autodesk Network License Manager\Network License Activation Utility\) or Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
  6. On the Configuration Complete page, click Configuration Complete to return to the confirmation page.
  7. On the Review - Configure - Install page, click Install.
  8. When the Installation Complete page displays, click Finish.

To use your Network License Activation Utility

  1. Do one of the following:
    • (Windows XP or Windows Vista) Click Start menu [image] All Programs [image] Autodesk [image] Network License Manager [image] [AutoCAD] Network License Activation Utility.
  2. On the Obtain a Network License page, review how this utility works and the requirements for using it, and then click Next.
  3. On the Server Information page, enter the product serial number.
    NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
  4. In the License Server Model section, click a license server model. For more information about each license server model, click the ? button.
  5. In the Server Host Name box, enter a server host name to locate the name of each server you plan to use.
  6. In the Host ID box, for each server host name you entered in the previous step, click Lookup to have the utility automatically locate the host ID for the server, or enter the host ID manually.
    NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
  7. If you chose Distributed Server in step 4, the Seats box is displayed. In the Seats box, enter the number of seats for each license server, and then click Next.
  8. On the Confirm Server Information page, review the server information you entered, and click Next.
  9. If the Register and License Your Autodesk Product page is displayed, do all of the following, and then click Next.
    • In the This Product Is To Be Registered To option, select Company or Individual.
    • In the Select Country or Region section, select your country or region of residence.
    • In the Is This an Upgrade section, select Yes or No.
  10. If the Registration Information page is displayed, enter your registration information, and then click Next.
  11. If the Confirm Information page is displayed, review your registration information, and then click Next.
  12. If the Connecting page is displayed, click Next to connect to the Internet to obtain your network license.
  13. On the Licenses Received page, in the Save License File for [computer name] dialog box, enter the location where you want to save your license file, or click Browse to navigate to the location.
    NoteIt is recommended that you save your license file to the location where you installed the Network License Manager.
  14. If you have an existing license file from another Autodesk product, select one of the following options:
    • Insert the New License Information Into It. The new license information is added into the existing license file.
    • Overwrite the Existing License File. The entire contents of the existing license file is replaced with the new license information. Select this option only if you no longer require any part of the existing license file contents.
  15. Click Next.
  16. On the License Activation Successful page, click Print to save a printed copy of the license information, or click Done to complete the transaction and exit the Network Activation utility.


Configure Your License Server

Installing and Using the Network License Activation Utility
Setting Up Network Tools and Your License Server
Distributing the Program
Getting Started with Network Administration and Deployment > Setting Up Network Tools and Your License Server >
Configure Your License Server
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You configure a license server so that you can manage AutoCAD licenses you received when you ran the Network License Activation Utility. Configure the license server with the lmtools.exe utility.

To configure your license server

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • (Windows XP) Click Start menu [image] All Programs [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • (Windows Vista) Double-click the LMTOOLS icon on the desktop.
  2. In the Lmtools program, on the Service/License File tab, make sure the Configure Using Services option is active.
  3. Click the Config Services tab.
  4. In the Service Name list, select the service name you want to use to manage licenses.

    By default, the service name is FLEXnet Service 1. If FLEXnet® is managing other software on your computer in addition to Autodesk, you can change the service name to avoid confusion, for example, you can rename FLEXnet Service 1 to Autodesk Server1.

    NoteIf you have more than one software vendor using FLEXnet for license management, the Service Name list contains more than one option. Make sure that only one Autodesk service is listed.
  5. In the Path to Lmgrd.exe File field, enter the path to the Network License Manager daemon (lmgrd.exe), or click Browse to locate the file.

    By default, this daemon is installed in the C:\Program Files\Autodesk Network License Manager folder.

  6. In the Path to the License File box, enter the path to your license file, or click Browse to locate the file.

    This is the path to the license file obtained by the Network License Activation Utility or the location where you placed the license file if you obtained it offline.

  7. In the Path to the Debug Log File box, enter a path to create a debug log, or click Browse to locate an existing log file.

    It is recommended that you save to the \Program Files\Autodesk Network License Manager folder. The log file must have a .log file extension. For new log files, you must enter the .log extension manually.

  8. To run lmgrd.exe as a service, select Use Services.
  9. To automatically start lmgrd.exe when the system starts, select Start Server at Power Up.
  10. Click Save Service to save the new configuration under the service name you selected in step 4. Click Yes when prompted if you would like to save the settings to the service.
  11. Click the Start/Stop/Reread tab and do one of the following:
    • If a service has not yet been defined for Autodesk, click Start Server to start the license server.
    • If a service for Autodesk is already defined and running, click ReRead License File to refresh the Network License Manager with any changes made to the license file or Options file.

    The license server starts running and is ready to respond to client requests.

  12. Close lmtools.exe.


Distributing the Program

Configure Your License Server
Getting Started with Network Administration and Deployment
Create a Network Share
Getting Started with Network Administration and Deployment >
Distributing the Program
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Once you have fully prepared for creating a deployment, you are ready to set up and distribute AutoCAD by using the Deployment wizard and choosing a deployment method.

Topics in this section

  • Create a Network Share
  • Minimize the Chances of Installation Failure
  • Distributing an AutoCAD Product


Create a Network Share

Distributing the Program
Distributing the Program
Minimize the Chances of Installation Failure
Getting Started with Network Administration and Deployment > Distributing the Program >
Create a Network Share
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A network share is an installation folder that you make available to users' computers on a network. You point users to this location to install the program. Create a network share that will be used by the AutoCAD Deployment wizard during the creation of a client deployment.

A shared folder is required for network license and multi-seat stand-alone methods of installation. Any subfolders that are placed inside a network shared folder are automatically shared.

NoteYou must have Full Control permissions set for your shared folder when you are creating your deployment images. Read permissions are necessary to access the network share and administrative permissions on the workstation where the program is deployed.

To create a network share folder

  1. On the desktop of a network server, create a folder named Deployments.
  2. Right-click the Deployments folder and click Share and Security (or Sharing).
  3. In the <folder name> Properties dialog box, Sharing tab, select Share This Folder.
  4. Specify a Share Name, such as Deployments, if necessary.
  5. Click the Permissions button. In the Permissions dialog box make sure Full Control is active. Click OK.

    In Vista, right-click the Deployments folder and then click Share. In the Properties dialog box select Sharing and then Advanced Sharing to share the folder. Click the Permissions button to make sure Full Control is active. Click OK.

    These steps are important when creating your deployment images.

  6. Click OK or Close to close the Properties dialog box.
  7. For each product you plan to install, create a subfolder in the Deployments folder. Name each folder with the pertinent product name.


Minimize the Chances of Installation Failure

Create a Network Share
Distributing the Program
Distributing an AutoCAD Product
Getting Started with Network Administration and Deployment > Distributing the Program >
Minimize the Chances of Installation Failure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD installation process may stop if some applications, such as Microsoft Outlook or virus checking programs, are running when you are creating a deployment. Close all running applications and temporarily disable virus checking utilities.


Distributing an AutoCAD Product

Minimize the Chances of Installation Failure
Distributing the Program
Setting Up a Deployment
Getting Started with Network Administration and Deployment > Distributing the Program >
Distributing an AutoCAD Product
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can choose from several methods of distributing an Autodesk program. Network sharing is the default method.

  • Network Share. Users launch the program with the shortcut icon that you created with the Deployment wizard. The program is installed on users' local computers, and a product icon appears on their desktop.
    NoteUsers must have Read permissions to access the network share and administrative permissions on the workstation where this program is installed.
  • Scripting. See Create Scripts That Install Programs.
  • Group Policy Objects (GPOs). See Distribute a Deployment Through Group Policies.
  • Microsoft SystemCenter Configuration Manager (SCCM). See Tasks for Deploying Autodesk Software with SCCM.
  • Imaging Software. See Use a Master Image to Distribute Network Licensed Products to Multiple Systems.


Setting Up a Deployment

Distributing an AutoCAD Product
Preliminary Tasks for a Network Deployment
Setting Up a Deployment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The deployment process provides you with numerous options for creating, and customizing your deployments, so you should set aside ample time to complete the process in one sitting. To be successful it is recommended that your review the following checklist and information before you begin. The deployment process is initiated from the Deployment wizard. Once a deployment is created, users then access the deployment to install products to their computers.

Topics in this section

  • Preliminary Tasks for a Network Deployment
  • Configure Button
  • Your Deployment Choices
  • Choosing a Language
  • Creating a Default Deployment
  • Creating a Configured or Customized Deployment
  • Final Review and Complete Setup
  • Modify a Deployment (optional)
  • Point Users to the Administrative Image
  • Uninstall an Autodesk Product


Preliminary Tasks for a Network Deployment

Setting Up a Deployment
Setting Up a Deployment
Configure Button
Setting Up a Deployment >
Preliminary Tasks for a Network Deployment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The deployment checklist gives you a quick summary of the type of information you should be familiar with before begin. When you have completed these tasks, you are ready to create a deployment.

Deployment Checklist
 | You have reviewed the system requirements. You must make sure that your network, servers, and client workstations meet the system requirements.
 | You understand the type of license you’ve purchased. If you plan a network license deployment, you should also be familiar with the type of license server model you want to use and the license server name(s).
 | You have installed and activated any supporting tools and utilities.
 | You have located your product serial number and product key. The serial number and product key are located on the outside of the product packaging, or in the email you received if you downloaded your product.
 | You know how you’re going to personalize the program(s) during registration. Using consistent registration data is very important.
 | You have identified the location (such as a shared folder) where deployments will reside for each program you plan to deploy.
 | You have closed all other programs and disabled anti-virus software.
 | You have decided what language(s) you will include in your administrative image, and what language(s) you will use for your deployment package.
 | You have determined if your deployment plan involves using imaging software to distribute your program(s) to client workstations.
 | You have specified whether you want to create log files that contain deployment and installation data, run silent mode, and participate in the Customer Involvement Program.
 | You know which type of installation you’ll perform—typical or custom.
 | You have chosen the installation folder option, and locations of your support file content.
 | You may want to set search paths to custom files or file locations that may have changed in this release of software.
 | You have decided if you want to include additional files with your deployment such as drawing files, AutoLISP routines, or script files.
 | You have checked for service packs that might be available for your product.
 | You have configured access to Communication Center. Live Update notifications let you know when product updates are posted and configuring Communication Center lets users access technical information.
 | You have set up access and participation in features like the Customer Involvement Program, and Customer Error Reporting.


Configure Button

Preliminary Tasks for a Network Deployment
Setting Up a Deployment
Your Deployment Choices
Setting Up a Deployment >
Configure Button
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

During the deployment process, you can create a deployment that uses the default settings, or you can create a customized deployment. To customize, you begin in the Review - Configure - Create Deployments dialog box. Select the appropriate product from the drop-down list, and click the Configure button.

The following options are available after you click the Configure button. See Your Deployment Choices for more details about deployment options.

  • Select the License Type - Stand-alone or Network license
  • Select the Installation Type - Typical or Custom
  • Select Installation Folders for Support Content
  • Define Search Paths and File Locations
  • Install Additional Files
  • Specify User Preferences
  • Include Service Packs
  • Configure InfoCenter Communication Center
  • Configure Access to Online Resources

When you finish selecting options for your customization, click the Configuration Complete button. The Review - Configure - Create Deployments dialog box is displayed again, and you can review your selections. Once you have confirmed your selections, click Create Deployment.

NoteTo get a copy of your settings, select the Copy to Clipboard button.

If you do not wish to make configuration changes on the Review - Configure - Create Deployments page, click Create Deployment. Then click Yes, to continue creating your deployment using the default configuration.


Your Deployment Choices

Configure Button
Setting Up a Deployment
Enter Product and User Information
Setting Up a Deployment >
Your Deployment Choices
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you create a deployment, you will make several choices during the process to create various client deployment images and deployment types. The following sections outline your choices in more detail.

Topics in this section

  • Enter Product and User Information
  • Specify Log File Locations
  • What Is Silent Mode?
  • Customer Involvement Program (CIP)
  • Select a License Type (optional)
  • Select the Installation Type (optional)
  • Select Installation Folders for Support Content
  • Define Search Paths and File Locations (optional)
  • Install Additional Files (optional)
  • Specify User Preferences (optional)
  • Include Service Packs (optional)
  • Configure InfoCenter Communication Center (optional)
  • Allow Users to Access Online Resources (optional)


Enter Product and User Information

Your Deployment Choices
Your Deployment Choices
Specify Log File Locations
Setting Up a Deployment > Your Deployment Choices >
Enter Product and User Information
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Product and User Information page is used to personalize the program for your environment. The information you enter is permanently retained with the product and is displayed in the Help menu on all workstations. Because you can't change this information later without uninstalling, take care when entering the information.

You must also enter the product serial number and product key in order to run the product. The product serial number and product key are located on the product packaging, or in the electronic fulfillment messaging. The serial number must contain a three-digit prefix followed by an eight-digit number. The product key consists of five digits.

Your client’s can review this product information later, on the InfoCenter toolbar, click the drop-down arrow next to the Help button (the question mark). Then click About.


Specify Log File Locations

Enter Product and User Information
Your Deployment Choices
What Is Silent Mode?
Setting Up a Deployment > Your Deployment Choices >
Specify Log File Locations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The program has two types of log files with which you can monitor information about deployments and installations.

  • Network log. The network log file keeps a record of all workstations that run the deployment. On the General Deployment Settings page of the deployment process, you choose whether or not to create a network log file. The log lists the user name, workstation name, and the status of the installation. Refer to this file for status information and details about problems that users encountered during installation (for example, low disc space or inadequate permissions).

    The network log is named with the same name you chose for your deployment. You can specify where the log file is created by entering either a valid UNC (universal naming convention) path or hard-coded path on your network, for example \\MyComputer\Autodesk\<Autodesk product>. Users should use their actual computer name in place of MyComputer.

    NoteThe folder where the network log resides must be a shared folder where users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.
  • Client log. The client log contains detailed installation information for each workstation. This information may be useful in diagnosing installation problems. The client log is located in the %Temp% directory of each client workstation.

To specify a log file location

  1. While creating a deployment, on the General Deployment Settings page, select the check box next to the Create Network Log box. Enter the name of the folder where you want the network log to be located.
  2. If you want to create a client log, select the Create Client Log option.
  3. Click Next.


What Is Silent Mode?

Specify Log File Locations
Your Deployment Choices
Customer Involvement Program (CIP)
Setting Up a Deployment > Your Deployment Choices >
What Is Silent Mode?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When silent mode is active and a user initiates the deployment, the installation proceeds without any explicit user input. Users cannot change any of your installation settings. No dialog boxes are presented that require interaction from the user.


Customer Involvement Program (CIP)

What Is Silent Mode?
Your Deployment Choices
Select a License Type (optional)
Setting Up a Deployment > Your Deployment Choices >
Customer Involvement Program (CIP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you choose to have your clients participate in the Customer Involvement Program, specific information about how you use AutoCAD is forwarded to Autodesk. This information includes what features you use the most, problems that you encounter, and other information helpful to the future direction of the product.

NoteYou can also enable or disable the Customer Involvement Program from the CAD Manager Control utility.


Select a License Type (optional)

Customer Involvement Program (CIP)
Your Deployment Choices
Select the Installation Type (optional)
Setting Up a Deployment > Your Deployment Choices >
Select a License Type (optional)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you set up your deployment, you choose the type of installation to deploy based on the type of software license you purchased: stand-alone or network. You also select the network license server model you want to use to distribute product licenses.

ImportantDepending on the type of option you choose on the configuration page, network or stand-alone license, note that you must use the same type of installation for all those products in your deployment session. If you select products that do not support the type of license you purchased, you will not be able to activate those products.

Specify the license type to use during deployment

Stand-alone license (a single serial number for a single seat)

For a stand-alone license, you install, register, and activate the program on each workstation.

Network license

With this type of installation, you install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager. You also define the configuration of the Network License Manager so that the licenses can be accessed. Workstations running the program based on a network installation do not require individual activation. Licensing of this program is managed by at least one license server.

To deploy a stand-alone license

  1. While creating a deployment, on the Select the License Type page, select Stand-alone License.

  2. Click Next.

Specify the license server model during deployment

If you choose the Network License option, you need to decide which license server model to use to distribute your product licenses - single, distributed or redundant license server model. For more information about license server models, see Choose a License Server Model.

If you are deploying a stand-alone or multi-seat stand-alone installation type, you do not use a license server model.

To deploy a network license using a single license server model

  1. While creating a deployment, on the Select the License Type page, select the Network license option.
  2. Select Single License Server as the license server model you want to use with the Network License Manager.

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

  3. Enter the server name of the server that will run the Network License Manager, or click the Browse button to locate the server. Click Next.

For more information about license server models and setting up your license server, see Choose a License Server Model or Configure Your License Server.

To deploy a network license using a distributed license server model

  1. While creating a deployment, on the Select the License Type page, select the Network license option.
  2. Select Distributed License Server as the license server model you want to use with the Network License Manager.

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

  3. Enter the name of one of the servers that will run the Network License Manager, or click the Browse button to locate the server. Click Add to add the server to the Server Pool. Once all the servers are added to the Server Pool list, use the Move Up and Move Down buttons to arrange the servers in the order you want them to be searched by a user's workstation. You must enter at least two servers. Click Next.

For more information about license server models and setting up your license server, see Choose a License Server Model or Configure Your License Server.

To deploy a network license using a redundant license server model

  1. While creating a deployment, on the Select the License Type page, select the Network License option.
  2. Select Redundant License Server as the license server model you want to use with the Network License Manager.

    If you have already used the Network License Manager to create a license server model, you must select the same license server model in this step. If you have not yet used the Network License Manager to create a license server model, make sure that you select the same settings in the Network License Manager that you choose here.

  3. In the First Server Name field, enter a server name of one server that will run the Network License Manager, or click the Browse button to locate the server. Enter the server names for the remaining two servers that you will use in the redundant server pool. Click Next.

For more information about license server models and setting up your license server, see Choose a License Server Model or Configure Your License Server.


Select the Installation Type (optional)

Select a License Type (optional)
Your Deployment Choices
Select Installation Folders for Support Content
Setting Up a Deployment > Your Deployment Choices >
Select the Installation Type (optional)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

As part of making your deployment choices, you select the type of installation that users receive when they install the program, choose which optional tools or features are included, and specify where the product is installed on each workstation.

You choose the location where program files are installed on the client workstation in the Product Install Path. To help decide where the product is installed, a chart of drives and disc space is provided.

To deploy a typical installation, choose optional tools, and specify a product location

  1. During the deployment, on the Select the Installation Type page, select Typical as the type of installation that you want.
  2. Enter the path on the client workstation where you want to install the program, for example C:\Program Files\<Autodesk product>.

    The Disc Space Requirements chart lets you review available drives and disc space.

  3. Click Next.

To deploy a custom installation, choose optional tools, and specify a product location

  1. During the deployment, on the Select the Installation Type page, select the Custom option as the type of installation that you want.
  2. From the Select Features to install list, select the features that you want to install.

    If, after making feature changes, you decide you want the original selections, click the Restore Defaults button on the Select the Installation Type page.

  3. Enter the path on the client workstation where you want to install the program, for example C:\Program Files\<Autodesk product>.

    The Disc Space Requirements chart lets you review available drives and disc space.

  4. Click Next.


Select Installation Folders for Support Content

Select the Installation Type (optional)
Your Deployment Choices
Define Search Paths and File Locations (optional)
Setting Up a Deployment > Your Deployment Choices >
Select Installation Folders for Support Content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

On the Select Installation Folders for Support Content page, you choose where your support content gets installed by specifying a folder other than the default user profile folder used in previous releases. As a network administrator, these options give you greater control over where you place support content during installations or deployments.

Support files consist of five main types:

  • Support - Includes default font, customization (.cui files), menu source, hatch pattern, and linetype files.
  • Plotter - Includes plot style (.ctb files), and plot configuration files (.pc3 and .pmp files).
  • Data Link - Contains data links files.
  • Template - Drawing and Sheet Set, and Publish to Web templates.
  • Render - Texture and bump maps, WebLight files.

Among the four options available, you can now choose a single shared location, local or network, where all your support content is installed. The illustration and table below outline the other available options.

There are four support content folder options:

Options Notes
Local user profile folders
  • Texture maps installed to %ALLUSERSPROFILE%
  • All other content installed to %USERPROFILE%\Roaming AppData
  • No content stored in %USERPROFILE%\Local AppData
Program install folder
  • All content is installed to the AutoCAD installation folder on individual user station
  • User may need power user privilege to install AutoCAD
  • User may need power user privilege to run AutoCAD on a system where support content is installed to the OS Program Files folder
Single shared folder
  • Allows for a unique network path to be specified for all content types
  • Subfolders for content types installed within this location
  • When a deployment is pushed to individual workstations, content is copied into the network location only once when the deployment is created
Custom folders
  • Allows a unique path to be specified for different content types
  • Supports local folders and UNC or mapped network paths

An Overwrite Existing Files in Shared Network Folders check box is available when either the Single Shared folder or Custom folder options is selected. If the box is checked, the existing files in the chosen folder are overwritten. No additional warning is given. If the box is unchecked, a warning message is displayed.


Define Search Paths and File Locations (optional)

Select Installation Folders for Support Content
Your Deployment Choices
Install Additional Files (optional)
Setting Up a Deployment > Your Deployment Choices >
Define Search Paths and File Locations (optional)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

On the Define Search Paths and File Locations page, you can modify the default search paths and the location of some program files. You might want to modify the default settings for the following reasons:

  • If your environment uses a file (such as a customization file or plug-ins) other than the default file that's installed with the program, you can point to that file now and avoid having to add it at each workstation.
  • Some default file locations may have changed in this version of the program. You can use this page if you have an earlier version of the program, and you want to move the files to the same file location as your earlier version.

To use the default program settings for search paths and file locations

  • While creating a deployment, on the Define Search Paths and File Locations page, click Next.

To modify the default program settings for search paths and file locations

  1. While creating a deployment, on the Define Search Paths and File Locations page, in the Define Search Paths, File Names, and File Locations list, click the plus sign (+) to the left of a search path or file location to select and expand it.

  2. Select an item in the list and do any of the following:
    • To browse to a file location, click Browse.
    • To add a new entry to the currently selected search path or file location, click Add.
    • To remove an entry from the currently selected search path or file location, click Remove.
    • To move a selection up or down in the list, click Move Up or Move Down.
    NoteThe availability of these buttons depends on the item that you selected in the previous step.
  3. When you finish specifying search paths or file locations, click Next.


Install Additional Files (optional)

Define Search Paths and File Locations (optional)
Your Deployment Choices
Specify User Preferences (optional)
Setting Up a Deployment > Your Deployment Choices >
Install Additional Files (optional)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

On the Install Additional Files page, when you click Browse, you can specify additional files to include with a deployment. By default, these files are installed in the program's installation directory on client workstations when the deployment is run. You can install files to multiple directories if desired.

You can perform the following operations:

  • Specify additional files (such as drawing files, AutoLISP® routines, or script files) to include with your deployment.
  • Install user files, of any format, and place them in any directory on the client’s workstation.
  • Add subfolders under the installation folder (for example, a folder called LSP to contain custom AutoLISP routines).
  • Add files to the same location as program files (for example, add sample drawings for a project).
  • Add files to the root of the installation directory.
NoteIt is recommended that you install these files to a location within the program's directory structure. You cannot install files with the same file name as an installed program file. For example, you cannot add a file named acad.cui.

To install additional files

  1. While creating a deployment, on the Install Additional Files page, set the location where the files will be installed.

  2. Do any of the following:
    • Click Browse to open the Add Files dialog box, where you can select files to add to the installation directory.
    • Click Add Folder to create a new folder in the installation directory.
    • Click Add Drive to add a drive name to the file location structure. The drive name must be a valid drive letter and colon, for example C: or F:. Uniform Naming Convention (UNC) paths are not supported.
    • Click Remove to delete a file, folder, or drive from the installation directory.
  3. Click Next.


Specify User Preferences (optional)

Install Additional Files (optional)
Your Deployment Choices
Include Service Packs (optional)
Setting Up a Deployment > Your Deployment Choices >
Specify User Preferences (optional)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

On the Specify User Preferences page, you can specify whether installations based on this deployment can proceed if Microsoft Internet Explorer is not installed, specify a default profile name, choose to display the product shortcut icon on the desktop, or create a custom desktop shortcut.

To specify user preferences settings

  1. While creating a deployment, on the Specify User Preferences page, clear the check box for the Internet Explorer option if you do not require Microsoft Internet Explorer to be installed before AutoCAD is installed, and select your default publishing format.

  2. In the Default Profile Name box, specify a default profile name that will be current for all users who run the deployment.
  3. Clear the check box for Create an Autodesk Product Desktop Shortcut if you do not want the product shortcut icon to appear on the user's desktop.
  4. If you want to create a custom desktop shortcut, specify a shortcut name and any parameters, such as switches that will call profiles, startup scripts, and so on.

  5. Click Next.


Include Service Packs (optional)

Specify User Preferences (optional)
Your Deployment Choices
Configure InfoCenter Communication Center (optional)
Setting Up a Deployment > Your Deployment Choices >
Include Service Packs (optional)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You have the option to include service packs for your product. You can select to download and apply a service pack from autodesk.com, or choose to use a locally stored (local hard drive or local network) service pack. In either case, the service pack will be applied only after the installation of the main product is completed.

If you select the Install Service Pack from autodesk.com button, the service pack will be automatically downloaded and you will not need to extract the MSP file.

If you choose to include a service pack from a local or network drive, you will need to plan how you want the service pack handled from the two options below. You will also need to complete the following steps.

NoteIf the deployment process for the main product is canceled or fails, the service pack installation will automatically be canceled.

  • Append the Service Packs onto the Deployment. When you append a service pack, the service pack is applied to the current deployment only. Multiple service packs may be appended to a deployment. The service pack file is included in the deployment and the service pack is applied after the product is deployed.
  • Merge the Service Packs into the Administrative Image MSI File. When you merge a service pack, the service pack is merged into the administrative image. Once merged, a service pack may not be removed from the administrative image. Multiple service packs may be included in a single administrative image.

To extract a Microsoft Installer Patch (MSP) file from a service pack

  1. Download the service pack from the AutoCAD support site.
  2. Review the service pack Readme file for information about patch usage.
  3. Open a Windows command prompt and enter the patch file name followed by the /e switch and a target file name, such as:

    ProductSP1.exe /e ./ProductSP1.msp

    where <ProductSP1.exe> is the name of the downloaded patch and <ProductSP1.msp> is the name of the extracted file. Using ‘./’ in front of the extraction file name places the extracted file in the same folder as the original executable. The “e” command line switch extracts the MSP file from the executable.

To include a service pack with the deployment

To include a service pack with a deployment, an MSP file must be extracted from the downloaded service pack executable.

  1. On the Include Service Packs page, click the Browse button.
  2. In the Open dialog box, locate the service pack you want to include with the deployment.
  3. Select the MSP file and click Open.
  4. Specify whether you want to append the service pack to the deployment or merge the service pack into the administrative image.
  5. Click Next.


Configure InfoCenter Communication Center (optional)

Include Service Packs (optional)
Your Deployment Choices
Allow Users to Access Online Resources (optional)
Setting Up a Deployment > Your Deployment Choices >
Configure InfoCenter Communication Center (optional)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Communications Center is accessed through InfoCenter. Products are updated with Live Update, which downloads patches to your product using Communication Center. Beyond Live Update, other information channels and feeds can be displayed by the Communication Center.

The Communication Center settings you can make include the following:

  • Enable Live Updates. Users can use Live Update to check for updates when a Web connection is established. If a product patch is available, notification of its availability is received on the program's status bar, and the patch can be either downloaded directly from an Autodesk server or modified first before being copied to users' workstations. If you don't want users to receive updates or announcements, you can turn off Live Update.
    NoteYou can also turn Live Update options on or off in the CAD Manager Control utility.
  • Enable Information Channels. When active, information channels notify users with various pieces of information such as product support information.
  • Enable CAD Manager Channel. Controls the display of the CAD Manager Channels in InfoCenter. Aside from being able to toggle CAD Manager Channels, you can also define the CAD Manager feed location and set the display name for the CAD Manager Channel.
  • Enable RSS Feeds. Users can subscribe to any number of RSS feeds. Each feed is contained within a discrete InfoCenter category. Additionally, you can specify whether users can add RSS feeds.

To configure Communication Center

  1. When creating a deployment, on the Configure InfoCenter Communication Center page, make the following Live Update settings:
    • Enable Live Updates. Users can receive product updates or support announcements from Autodesk servers.
    • Receive Live Updates from Autodesk. Users can receive product updates and support announcements from Autodesk servers with Live Update.
    • Receive Live Updates from Local Server. You can maintain a patch list on a local server. A patch list is an XML file that specifies a list of patches available for installation on your computer.

      If you select this option, the Local Patch List Location box is available. Use the Browse button to locate the path to a server location where you want a patch list. More information about how to use a local patch list is available by installing Autodesk CAD Manager Tools 4.0, running the CAD Manager Control utility, and then clicking Help in the CAD Manager Control utility window.

      NoteYou can name a file to use for patch information. By naming a file and using an .npl extension now, you are creating a placeholder file, not creating the file itself. In the location that you specify in the Local Patch List Location box, you must create a text file with the same name you specify here.
  2. Specify whether Information channels should be enabled.
  3. Specify whether CAD Manager channels should be enabled. When active, you can make the following settings:
    • Feed Location. Defines the location of the CAD Manager channel RSS feed. RSS feeds are in XML format.
    • Display Name. Sets the display name of the CAD Manager channel.
  4. Specify whether RSS Feeds are enabled and if users are allowed to add feeds.
  5. Click Next.


Allow Users to Access Online Resources (optional)

Configure InfoCenter Communication Center (optional)
Your Deployment Choices
Choosing a Language
Setting Up a Deployment > Your Deployment Choices >
Allow Users to Access Online Resources (optional)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

On the Configure Access to Online Resources pages, you can specify whether users can access online resources such as receiving live updates from Autodesk, enabling information or CAD Manager channels, or subscribing to RSS feeds. You can also allow access to the DesignCenter as well as specifying Customer Error Reporting and InfoCenter settings.

DesignCenter

The DC Online tab in DesignCenter provides access to pre-drawn content such as blocks, symbol libraries, manufacturers' content, and online catalogs. This content can be used in common design applications to assist users in creating drawings.

NoteDesignCenter Online is not selected by default. If you choose not to enable DC Online at the time of installation, you can enable it later from the CAD Manager Control utility. See Can Online Resource settings be modified later? for additional information.

Customer Error Reporting (CER)

If your Autodesk product closes unexpectedly, users have the opportunity to send an error report directly to Autodesk, which helps Autodesk to determine and resolve the error. You can determine whether users can also receive notification from Autodesk when their reported errors are resolved.

NoteYou can also turn Customer Error Reporting notification on or off in the CAD Manager Control utility.

Configure InfoCenter Search Settings

The Search Results tab of InfoCenter can be configured to display content from various sources, such as the product Help system, CAD Manager Channels, or the Internet.

You can specify whether users who install from the deployment can customize access to their InfoCenter search locations.

To configure access to online resources

  1. While creating a deployment, on the Configure Access to Online Resources page, do the following to configure DesignCenter Online:
    • To enable DesignCenter Online, select the check box next to Enable DC Online.
  2. If you want to receive notification of problem resolutions, do the following:
    • Select the check box next to Allow Users to Receive Notification of Resolution so that users are made aware of resolutions to issues and can download applicable updates provided by Autodesk. This option is enabled by default.
      NoteUsers must have administrative permissions to install an update provided by Autodesk.
    • Select the check box next to Include Computer Name to include the user’s computer name in error reports. The computer name is included in notifications to the user and in reports available to subscription administrators. This option is disabled by default.
  3. Specify whether users have the option to customize their InfoCenter search locations. This option is enabled by default.
  4. Click Configuration Complete.


Choosing a Language

Allow Users to Access Online Resources (optional)
Setting Up a Deployment
Creating a Default Deployment
Setting Up a Deployment >
Choosing a Language
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can select a different language for deployment instructions, and a language for product installations in the same deployment process.

For example, if you need to provide AutoCAD to users in one or more languages different than your own, you can download language packs to the installer that will allow you to deploy the product in the languages you need to support.

NoteLanguage packs can only be included in an administrative image during the creation of the deployment and not during modification.

When you start the deployment process, the Deployment wizard automatically determines your operating system language. If a supported language is detected, your deployment pages are displayed in that language. If you want to change that language, you can choose a different one from the installer language list on the opening page of the Deployment wizard.

You can also select a language for an individual product by clicking the Select Language for Individual Products checkbox on the Select the Products to Install page, and then selecting a language from the drop-down list.

NoteSome products may not have multiple languages available at the time of product release. Additional language packs may be available later for Subscription customers. Check http://autodesk.com/servicesandsupport for the availability of additional language packs.


Creating a Default Deployment

Choosing a Language
Setting Up a Deployment
Creating a Configured or Customized Deployment
Setting Up a Deployment >
Creating a Default Deployment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you do not plan on customizing your deployment, you can create a default deployment.

The following procedures illustrate how quickly you can set up a default deployment using the Deployment wizard. This procedure details a single-server network deployment with a Typical client setup type and no customizations. For information about setting up a configured or customized deployment, see Creating a Configured or Customized Deployment.

To create a default deployment

  1. In AutoCAD’s initial Installation page, click Create Deployments.
  2. On the Begin Deployment page, you need to specify the following: administrative image location, deployment name, and if your target system is 32 or 64-bit.
    • In the administrative image field, enter the path to your existing shared network location, or use the Browse button to navigate to that location. This area is where you create and store your administrative image. Users install the program from this location.
      NoteIf you do not know how to create a network share, see Create a Network Share.
    • In the deployment name field, enter the new deployment's name. The name you enter here is the name of the shortcut users will access to install the product.
    • Under This is to be a:, select either 32-bit or 64-bit for your target operating system. This selection does not identify the system your deployment was created on; it identifies your target system.

    Click Next.

  3. On the Select the Products to Include in the Deployment page, select the products you want to include, the language(s) to include in your administrative image, and the language of your deployment. After making your choices, click Next.
    NoteAutodesk Design Review 2010 is not installed by default when you install AutoCAD. It is recommended that you install Design Review if you need to view DWF or DWFx files. For more information about Design Review, see Installing Design Review.
  4. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the deployment process. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  5. On the Product and User Information page, enter your serial number, product key, and user information. Review the Privacy Policy, and then click Next.
    NoteThe information you enter here is permanent and is displayed in the Help menu on your computer. Because you can't change this information later without uninstalling the product, make sure you enter the information carefully.
  6. On the General Deployment Settings page, choose if you want the deployment to create a network log and/or a client log, if you want to run the client installation in silent mode, and if you want users to participate in the Customer Involvement Program.
    • When you choose to create a network log file, you also have to specify where the log file is created by entering either a valid UNC (universal naming convention) path or hard-coded path on your network. The network log file is optional.
      NoteThe folder where the network log resides must be a shared folder where users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.
    • Choose whether you want a client log file created.
    • If you want to prevent users from changing installation settings when they install, select Silent mode.
    • If you choose participation in the Customer Involvement Program, Autodesk sends helpful information about the product.

    For more information regarding log files, refer to Specify Log File Locations.

    Click Next.

  7. On the Review - Configure - Create Deployment page, click Create Deployment, then select Yes to continue creating the deployment using the default configuration.

    By clicking Create Deployment, an administrative image is created in your shared folder using the deployment options listed in the Current Settings field. If you would like a summary of your deployment settings, click the Copy to Clipboard button.

  8. On the Deployment Complete page, click Finish.


Creating a Configured or Customized Deployment

Creating a Default Deployment
Setting Up a Deployment
Final Review and Complete Setup
Setting Up a Deployment >
Creating a Configured or Customized Deployment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you plan on altering your deployment by removing features or restricting access to online resources you can create a configured or customized deployment.

To create a configured or customized deployment

  1. In the AutoCAD Deployment wizard, click Create Deployments.
  2. On the Begin Deployment page, specify the following: the administrative image location, deployment name, and if your target system is either 32 or 64-bit.
    • In the administrative image field, enter the path to your existing shared network location, or use the Browse button to navigate to that location. This area is where you create and store your administrative image. Users install the program from this location.
      NoteIf you do not know how to create a network share, see Create a Network Share.
    • In the deployment name field, enter the new deployment's name. The name you enter here is the name of the shortcut users will access to install the product.
    • Under This is to be a:, select either 32-bit or 64-bit for your target operating system. This selection does not identify the system your deployment was created on; it identifies your target system.

    Click Next.

  3. On the Select the Products to Include in the Deployment page, select the products you want to include, the language(s) to include in your administrative image, and the language of your deployment. After making your choices, click Next.
    NoteAutodesk Design Review 2010 is not installed by default when you install AutoCAD. It is recommended that you install Design Review if you need to view DWF or DWFx files. For more information about Design Review, see Installing Design Review.
  4. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  5. On the Product and User Information page, enter your serial number, product key, user information. Review the Privacy Policy, and then click Next.
    NoteThe information you enter here is permanent and is displayed in the Help menu on your computer. Because you can't change this information later without uninstalling the product, make sure you enter the information carefully.
  6. On the General Deployment Settings page, choose if you want the deployment to create a network log and/or a client log, if you want to run the client installation in silent mode, and if you want users to participate in the Customer Involvement Program.
    • When you choose to create a network log file, you also have to specify where the log file is created by entering either a valid UNC (universal naming convention) path or hard-coded path on your network. The network log file is optional.
      NoteThe folder where the network log resides must be a shared folder where users who install the program have Change permissions. Otherwise, successes or failures for user installations cannot be written to the log file.
    • Choose whether you want a client log file created.
    • If you want to prevent users from changing installation settings when they install, select Silent mode.
    • If you choose participation in the Customer Involvement Program, Autodesk sends helpful information about the product.

    For more information regarding log files, refer to Specify Log File Locations.

    Click Next.

  7. On the Review - Configure - Create Deployments page, click the Configure button to make changes to the administrative image.
  8. On the Select the License Type page, select a Stand-alone or Network license installation, and then click Next.
  9. On the Select the Installation Type page, you can choose to make the following configuration changes:
    • Typical - Installs the most common application features.
    • Custom - Installs only the application features that you select from the Select Features To Install list
      CAD Standards | Contains tools for reviewing design files for compliance with your standards.
      Database | Contains database access tools.
      Dictionaries | Contains multi-language dictionaries.
      Drawing Encryption | Allows you to use the Security Options dialog box to protect a drawing with a password.
      Express Tools | Contains AutoCAD support tools and utilities (not supported by Autodesk).
      Fonts | Contains AutoCAD fonts and TrueType fonts.
      Autodesk Impression Toolbar | The Impression toolbar allows you to quickly export any view to Autodesk Impression for advanced line effects.
      Autodesk Seek Autodesk Seek.
      NoteSeek will only be installed in the English version of AutoCAD.
      Material Library | The Material Library contains over 300 professionally built materials to apply to your model.
      New Features Workshop | Contains animated demos, exercises, and sample files to help users learn the new features.
      License Transfer Utility Allows users to transfer an Autodesk product license between computers.
      NoteThe utility will not be installed on unlocked versions of AutoCAD.
      Migrate Custom Settings | Migrates custom settings and files from previous version of your product to this version.
      Initial Setup | Allows users to set up their initial configuration of AutoCAD (online content, workspaces) based on their units system, industry, and commonly used task-based tools.
      Reference Manager | Allows users to view and edit the paths of externally referenced files associated with a drawing.
      Samples | Contains various feature sample files.
      Tutorials | Contains tutorials.
      VBA Support | Contains Microsoft Visual Basic for Applications support files.
    • Product Install Path - Specifies the drive and location where Autodesk product will be installed.

    Click Next to proceed with the configuration process.

  10. On the Select Installation Folders for Support Content page, choose the location where your support content will reside. For more information about support file locations and options, see Select Installation Folders for Support Content. Click Next.
  11. Define search paths, file names, and file locations on the Define Search Paths and File Locations page, and then click Next.
    WarningDo not remove the DRV path and always add paths as secondary paths.
  12. To include additional files in the deployment, select the location where the files will be installed, then select the file names that you want included on the Install Additional Files page. After making your selections, click Next.
  13. On the Specify User Preferences page, decide if the Internet Explorer browser is required, set the default publish format, the default profile name, and whether or not you want a desktop shortcut. Click Next.
  14. On the Include Service Packs page, if service packs are available for your product, you can select to include them.

    The installer automatically checks autodesk.com for available updates. If updates are available, a link is displayed. If no updates are available a link is not displayed.

  15. On the Configure InfoCenter Communications Center page, you choose to allow users access to the latest information and product discussions by enabling live updates from Autodesk, Information and CAD Manager channels, and RSS feeds. After making your choices, click Next.
  16. On the Configure Access to Online Resources page, you can set up users access to online tools such as DesignCenter, Customer Error Reporting, and InfoCenter searches. Make your selections, and then click Next.
  17. On the Configuration Complete page, you can select a product tab to configure another product, or click Configuration Complete to review your choices.
  18. On the Review - Configure - Create Deployment page, click Create Deployment. If you want a summary of your deployment settings, click the Copy to Clipboard button.
  19. On the Deployment Complete page, click Finish.


Final Review and Complete Setup

Creating a Configured or Customized Deployment
Setting Up a Deployment
Modify a Deployment (optional)
Setting Up a Deployment >
Final Review and Complete Setup
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To complete your deployment setup, confirm the settings you selected.

  1. On the Review - Configure - Create Deployments page, scroll the list of current settings and verify your installation selections.
  2. Click the Configure button if you need to change any selections.
  3. Click the Copy to Clipboard button if you want a copy of the installation information.
  4. Click Create Deployment.
  5. On the Deployment Complete page, click Finish.

You have created an Autodesk product deployment with precise options that are specific to your group of users. You can now use this deployment to install the program.


Modify a Deployment (optional)

Final Review and Complete Setup
Setting Up a Deployment
Point Users to the Administrative Image
Setting Up a Deployment >
Modify a Deployment (optional)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

After a deployment is created, it may be necessary to modify the deployment for some client workstations. You can apply a patch or select various custom files that are not part of the base administrative image. You can also perform modifications such as changing the installation directory from drive C to drive D.

To modify a deployment

  1. Open the shared network folder where you originally chose to place your product deployment.
  2. In the Tools folder, double-click the Create & Modify a Deployment shortcut.

    This re-opens the Deployment wizard.

  3. Click through the deployment pages and make the necessary changes.
  4. After all the modifications have been made, click Create Deployment.


Point Users to the Administrative Image

Modify a Deployment (optional)
Setting Up a Deployment
Uninstall an Autodesk Product
Setting Up a Deployment >
Point Users to the Administrative Image
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you have completed the deployment process, you are ready to have users install the newly created or modified deployment. You need to notify your users of the shortcut that was created in the administrative image. The shortcut is the same name that you chose in Creating a Default Deployment.

To point users to the administrative image

  • The simplest method of notifying users how to install the deployment is to email them with instructions about using the shortcut. At a minimum, the instructions need to include the location of the deployment and instructions about double-clicking the shortcut to the deployment.


Uninstall an Autodesk Product

Point Users to the Administrative Image
Setting Up a Deployment
Use Scripts to Deploy the Program
Setting Up a Deployment >
Uninstall an Autodesk Product
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you uninstall an Autodesk product, all components are removed. This means that even if you've previously added or removed components, or if you've reinstalled or repaired an Autodesk product, the uninstall removes all Autodesk product installation files from your system.

To uninstall an Autodesk product

  1. Do one of the following:
    • (Windows XP) Click Start menu [image] Settings [image] Control Panel [image] Add or Remove Programs.
    • (Windows Vista) Click Start menu [image] Control Panel [image] Programs and Features [image] Uninstall or change a program.
  2. In the Add or Remove Programs or Uninstall or Change a Program window, select AutoCAD, and then click Change/Remove or Uninstall/Change.
  3. Click Uninstall.
  4. On the Uninstall <Autodesk product> page, click Next to remove AutoCAD from the system.
  5. When informed that the product has been successfully uninstalled, click Finish.
NoteEven though AutoCAD is removed from your system, the software license remains. If you reinstall AutoCAD at some future time, you will not have to register and re-activate the program.


Use Scripts to Deploy the Program

Uninstall an Autodesk Product
Create Scripts That Install Programs
Use Scripts to Deploy the Program
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A script executes a command or a set of commands. Scripts are similar to batch files but are more flexible. Installation scripts are most useful for stand-alone installation of programs on computers that are connected to a network. Scripts are also useful for installing service packs, extensions, and object enablers on a network.

In order for AutoCAD to run properly, the following software and prerequisites must be installed and met on the computer where the program is being installed:

  • Microsoft .NET 3.5 SP1 (available on the product disc)
  • Microsoft Internet Explorer version 6.0 Service Pack 1 or later (You can download Microsoft Internet Explorer from the Microsoft website by visiting www.microsoft.com).
  • Microsoft Installer Package (MSI) 4.5
  • Microsoft Windows Media Format 9.5 (prerequisite for 64-bit)
  • Macromedia Flash Player 9.0 or later (not installed by default)
  • Autodesk Design Review 2010 (not installed by default)
  • VC++ 2008 SP1 and VC++2005 SP1 runtimes for x86 operating systems; and VC++2008 SP1 and VC++2005 SP1 runtimes for x64 for 64-bit operating systems (available on the product disc)
  • Microsoft National Language Support Downlevel APIs (available on the product disc)

Topics in this section

  • Create Scripts That Install Programs
  • A Sample Installation Script
  • Use Switches and Flags in Scripts
  • Run Scripts


Create Scripts That Install Programs

Use Scripts to Deploy the Program
Use Scripts to Deploy the Program
A Sample Installation Script
Use Scripts to Deploy the Program >
Create Scripts That Install Programs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You create a script by using a text editor such as Notepad and then saving it in ASCII format in a file with the file extension .vbs. The script consists of one or more commands, as well as command switches that specify options, and flags that modify the options. An installation script also contains path names.

An installation script points to the location of the product's setup.exe file. You must point to the setup.exe file on your product disc. For example:

Autodesk product CDROM1\setup.exe


A Sample Installation Script

Create Scripts That Install Programs
Use Scripts to Deploy the Program
Use Switches and Flags in Scripts
Use Scripts to Deploy the Program >
A Sample Installation Script
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The sample script in this section installs the program in a typical configuration. To make it easy to copy this sample script and substitute your own information, the same names are used throughout for variable items. The log file name is based on the product being installed. You can either use the log file name in the script or change it to something else.

Serial number prefix: 123

Serial number: 12345678

First name: My First Name

Last name: My Last Name

Organization: Organization

A sample script for a silent installation of this program uses the syntax shown in this section.

Scripted installation for the AutoCAD

' Scripted installation for AutoCAD 2010 - English
option explicit
'
' Create variables
dim shell
dim productType
dim strADSKFirstName
dim strADSKLastName
dim strADSKOrganization
dim strADSKSNPrefix
dim strADSKSNNumber
dim strADSKProdKey
dim strLocale
dim strACADStandaloneNetworkType
dim strADSKLicenseServerType
dim strADSKLicenseType
dim strADSKServerName
dim strADSKServerPath
dim strADSKServerHostID
dim strADSKPath
dim strSourcePath
'
' Script initialization
Set shell = CreateObject("WScript.Shell")
productType = "ACAD"
'
' Name and Organization information
strADSKFirstName = "My First Name"
strADSKLastName = "My Last Name"
strADSKOrganization = "Organization"
'
' Serial Number information
strADSKSNPrefix = "123"
strADSKSNNumber = "12345678"
strADSKProdKey="ABCDE"
'Locale information, for example en-US = US English, de-DE = Deutchland German, ja-JP = Japan Japanese
strLocale="" ' en-US, de-DE, ja-JP
'
' Source to install from (e.g. D: is assumed to be Install Media)
strSourcePath = "D:\"
'
' Destination to install to
strADSKPath = Shell.ExpandEnvironmentStrings("%ProgramFiles%")  + "\" + "AutoCAD 2010"
If strLocale <> "" Then strADSKPath = strADSKPath + " " + strLocale
strADSKPath = strADSKPath + "\"
'''''' Uncomment the relevant version of your installation - Default is Standalone
' For Standalone
RunStandaloneInstall()
'
' For Single Network License Server
'RunSingleLicenseServerInstall()
'
' End of Script
Wscript.quit()
'
Function RunStandaloneInstall
  shell.run DefaultCommand(),2,1
end function
'
Function RunSingleLicenseServerInstall
' Update with the correct information for the license server
 strACADStandaloneNetworkType = "3"
 strADSKLicenseServerType = "Single Server License"
 strADSKLicenseType = "Network License"
 strADSKServerPath = "myFlexNetServer"
' HOSTID or MAC address
 strADSKServerHOSTID = "000000000000"
'
' Consolidate the two values
 strADSKServerPath = strADSKServerPath & " " & strADSKServerHOSTID
 shell.run MakeCommand(),2,1
end function
'
Function DefaultCommand
 dim retString
' /qb for silent install ' /c [key] override parameters for the key
' /w wait until installation completes before returning to script
' /o reboot after install completes
retString = """" & strSourcePath & "\setup.exe" & """" & " /t /qb "
If strLocale <> "" then
        retString = retString & "/Language " & strLocale
End if
retString = retString & " /c " & productType & ": "
retString = retString & "INSTALLDIR=" & """" & strADSKPath & """" & " "
retString = retString & "ACADSERIALPREFIX=" & strADSKSNPrefix & " "
retString = retString & "ACADSERIALNUMBER=" & strADSKSNNumber & " "
retString = retString & "ADLM_PRODKEY=" & strADSKProdKey & " "
retString = retString & "ACADFIRSTNAME=" & """" & strADSKFirstName & """" & " "
retString = retString & "ACADLASTNAME=" & """" & strADSKLastName & """" & " "
retString = retString & "ACADORGANIZATION=" & """" & strADSKOrganization & """" & " "
retString = retString & "InstallLevel=5 "
DefaultCommand = retString & " "
end function
'
Function MakeCommand
dim retString
retString = DefaultCommand() & " "
retString = retString & "ACADSTANDALONENETWORKTYPE=" & """" & strACADStandaloneNetworkType & """" & " "
retString = retString & "ACADLICENSESERVERTYPE=" & """" & strADSKLicenseServerType & """" & " "
retString = retString & "ACADLICENSETYPE=" & """" & strADSKLicenseType & """" & " "
retString = retString & "ACADSERVERPATH=" & """" & strADSKServerPath & """" & " "
MakeCommand = retString
end function


Use Switches and Flags in Scripts

A Sample Installation Script
Use Scripts to Deploy the Program
Run Scripts
Use Scripts to Deploy the Program >
Use Switches and Flags in Scripts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following table lists all of the switches and flags that are relevant to installation.

Note You must set the installation switch to INSTALLDIR=. If this is not done, programs that run outside AutoCAD (such as the License Transfer utility) are not installed.
Switches in Installation Scripts
Switch | Description
INSTALLDIR= | Specifies the location to install the product.
ACADSERIALPREFIX= | Specifies the numbers that precede the hyphen in the serial number.
ACADSERIALNUMBER= | Specifies the serial number.
INSTALLLEVEL= | Specifies the type of installation: 3=Typical
ACADFIRSTNAME= | Specifies the first name personalization.
ACADLASTNAME= | Specifies the last name personalization.
ACADORGANIZATION= | Specifies the company name.
ADLM_PRODKEY= | Specifies the product key (found on the same label as the serial number).
User Interface Flags
Flag | Description
q | Designates that the installation is performed in silent mode.


Run Scripts

Use Switches and Flags in Scripts
Use Scripts to Deploy the Program
Use Group Policies to Install a Deployment
Use Scripts to Deploy the Program >
Run Scripts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

After creating a script, you move it to a server or use a mapped drive letter or a UNC (universal naming convention) path. If you place it on a server for users to run, create a share on the server, and then add users to the share with the rights they need. Because all that users need to do is run the script, provide read-only access to the share directory.

Next (on the same server or on a different server), create a directory for each product you want to install. Choose a location for this directory that won't be changed so that you can point to the MSI files in your scripts. Copy the product disc(s) to that directory. You may also want to create directories for service packs, extensions, and your own customization tools.

You can use any of the following methods to run an installation script:

  • Run the script manually at each individual workstation. To run the installation, paste the script into the Run dialog box or run it from the Windows command prompt.
  • Send an email with the UNC path to each user who should run the script. To run the script, the user follows your instructions.
  • Email the script to each user with instructions for use.
  • Set up the script so that it runs on login.


Use Group Policies to Install a Deployment

Run Scripts
Introduction
Use Group Policies to Install a Deployment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

With group policies, you can advertise this program by assigning the deployment to computers.

  • Microsoft .NET 3.5 SP1 (available on the product disc)
  • Microsoft Internet Explorer version 6.0 Service Pack 1 or later (You can download Microsoft Internet Explorer from the Microsoft website by visiting www.microsoft.com).
  • Microsoft Installer Package (MSI) 4.5
  • Microsoft Windows Media Format 9.5 (prerequisite for 64-bit)
  • Macromedia Flash Player 9.0 or later (not installed by default)
  • Autodesk Design Review 2010 (not installed by default)
  • VC++ 2008 SP1 and VC++2005 SP1 runtimes for x86 operating systems; and VC++2008 SP1 and VC++2005 SP1 runtimes for x64 for 64-bit operating systems (available on the product disc)
  • Microsoft National Language Support Downlevel APIs (available on the product disc)

Topics in this section

  • Introduction
  • Distribute a Deployment Through Group Policies
  • Assign a Deployment to Computers
  • Verify the Installation of a Deployment


Introduction

Use Group Policies to Install a Deployment
Use Group Policies to Install a Deployment
Assign a Deployment Using Group Policies
Use Group Policies to Install a Deployment >
Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

With group policy objects, this program can be advertised to any computer that meets the minimum requirements for the product, that is part of Windows 2000, Windows 2003, and Windows 2008 Server Active Directory environments.

Topics in this section

  • Assign a Deployment Using Group Policies
  • Advantages and Disadvantages of Using Group Policies


Assign a Deployment Using Group Policies

Introduction
Introduction
Advantages and Disadvantages of Using Group Policies
Use Group Policies to Install a Deployment > Introduction >
Assign a Deployment Using Group Policies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Assign a deployment that was created during the deployment process by the Deployment wizard to a computer. Assigning a deployment to a computer installs the program the next time the computer is restarted.

A deployment that is assigned to a computer can be used by any user of that computer. Generally, you should assign the program to a computer if the computer is used by a large number of users.

NoteAutodesk products are designed to be installed on a computer so that any user who logs on to the computer can run the software. If you attempt to assign this program for a specific user rather than a computer, you may encounter problems when a second specified user tries to install or uninstall a copy of the program.


Advantages and Disadvantages of Using Group Policies

Assign a Deployment Using Group Policies
Introduction
Distribute a Deployment Through Group Policies
Use Group Policies to Install a Deployment > Introduction >
Advantages and Disadvantages of Using Group Policies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following table outlines the advantages and disadvantages of using group policies.

Advantages and disadvantages of group policies

Advantage

Disadvantage

  • Works well with the deployment functionality of the Deployment wizard.
  • Cannot pass command-line parameters to MSI executable. The solution is to use scripts.
  • Easy to add custom files through the deployment functionality of the Deployment wizard.
  • Deployed to workstation.
  • Cannot customize application settings other than what is set while creating a deployment with the Deployment wizard.
  • Simple to implement.


Distribute a Deployment Through Group Policies

Advantages and Disadvantages of Using Group Policies
Use Group Policies to Install a Deployment
Assign a Deployment to Computers
Use Group Policies to Install a Deployment >
Distribute a Deployment Through Group Policies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

There are three main steps to distributing this program through group policies.

  1. Create an application distribution share point. The application distribution share point is created using the Deployment wizard. Follow the steps outlined in Creating a Default Deployment or Creating a Configured or Customized Deployment to create a deployment.
  2. Assign the program to a computer.
  3. Verify the installation. Make sure that the program has been correctly installed.


Assign a Deployment to Computers

Distribute a Deployment Through Group Policies
Use Group Policies to Install a Deployment
Verify the Installation of a Deployment
Use Group Policies to Install a Deployment >
Assign a Deployment to Computers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When the program is assigned to a computer, it is available to all users of the computer. The following procedures must be run from the server that has access to the Windows 2003 Server, Windows XP, or Windows 2000 Active Directory for assigning this program to computers.

NoteThis documentation assumes that you have the Group Policy Management Console installed.

To assign a deployment to a computer

  1. Launch the Group Policy Management Console (gpmc.msc).
  2. Right-click the organizational unit where you want to create the group policy object. Then select Create and Link a GPO Here… and name the Group Policy.
  3. In the Group Policy Object Editor window, under Computer Configuration, click the plus sign (+) next to the Software Settings folder to expand it.
  4. Under Software Settings, right-click Software Installation, and then click Properties.
  5. In the Software Installation Properties dialog box, on the General tab, click Browse.
  6. In the Browse for Folder dialog box, locate the application distribution share point created in the Deployment wizard, and select the AdminImage folder. Then click OK.

    The Software Installation Properties dialog box displays (in UNC format) the default package location, the server name, the shared folder that you selected, and AdminImage. For example:

    \\server123\Deployment\AdminImage\x86 \acad (for x64 deployments, \\server123\Deployment\AdminImage\x64\acad)

  7. Do one of the following:
    • For Windows 2003 Active Directory: On the General tab, under New Packages, click Advanced to specify a method to be used when a new package is created. This method also allows the transform file created by the Deployment wizard to be selected.
    • For Windows 2000 Active Directory: On the General tab, under New Packages, click Advanced Published or Assigned to specify a method to be used when a new package is created. This method also allows the transform file created by the Deployment wizard to be selected.
  8. Click OK to close the Software Installation Properties dialog box.
  9. Do one of the following:
    • For Windows 2003 Active Directory: In the Group Policy Object Editor dialog box, under Software Settings, right-click Software Installation, and click New [image] Package.
    • For Windows 2000 Active Directory: In the Group Policy dialog box, under Software Settings, right-click Software Installation, and click New [image] Package.
  10. In the Open dialog box, make sure the Windows Installer Packages file (acad-<deplolyment name>-for-GPO.msi) is selected, and click Open.

    If you created the administrative image in a location different from the application distribution share point, find the administrative image location, and click acad-<deployment name>-for-GPO.msi. Substituting <deployment name> for the name of the deployment used as the basis for this GPO package.

  11. In the <product name> Properties dialog box, click the Deployment tab. Under Deployment Type, verify that Assigned is selected.
  12. On the Modifications tab, click Add.
  13. In the Open dialog box, click the transform package file (acad-<deployment name.mst) created by the Deployment wizard, and then click Open.

    If you created the administrative image in a location different from the application distribution share point, find the administrative image location and select the transform package file (acad-<deployment name.mst).

  14. In the <product name> Properties dialog box, on the Modifications tab, the transform package you selected is added to the Modifications list. Repeat the process of adding the transform package, but this time, add in the gpo.mst transform in the <deployment location>\Tools folder. Click OK.
    NoteYou must select the transform package file created by the Deployment wizard when you created the group policy object. You cannot add or remove transform package files after the group policy object has been created. If you fail to select the transform package files, the program cannot be installed on the client computer.

    This must be repeated for the language pack which is located at \\server123\Deployment\AdminImage\x86\acad\en-US\AcadLP.msi. For x64 deployments the path would be \\server123\Deployment\AdminImage\x64\acad\en-US\AcadLP.msi.)

    For example, if the deployment for a US English 32-bit product is stored at \\server123\Deployment and the deployment name was MyDeployment. Then you would create the GPO software package with the following:

    First .msi for AutoCAD 2010

    \\server123\Deployment\AdminImage\x86\acad\acad-MyDeployment-for-GPO.msi with the following transforms added in the modifications tab:

    \\server123\Deployment\AdminImage\x86\acad\acad-MyDeployment.mst

    \\server123\Deployment\Tools\gpo.mst

    Second .msi for the language pack

    \\server123\Deployment\AdminImage\x86\acad\en-us\AcadLP.msi with the following transforms added in the modifications tab:

    \\server123\Deployment\AdminImage\x86\acad\acad-MyDeployment.mst

    \\server123\Deployment\Tools\gpo.mst

  15. Do one of the following:
    • For Windows 2003 Active Directory: In the Group Policy Object Editor window, under Computer Configuration, click Software Installation. The newly created program package is displayed in the right pane.
    • For Windows 2000 Active Directory: In the Group Policy window, under Computer Configuration, click Software Installation. The newly created program package is displayed in the right pane.
  16. Do one of the following:
    • For Windows 2003 Active Directory: Close the Group Policy Object Editor window and any other open Active Directory windows.
    • For Windows 2000 Active Directory: Close the Group Policy window and any other open Active Directory windows.

This program is assigned to all computers that are members of the organizational unit for which the group policy object has been created. The next time a computer in the organizational unit is restarted, the program will be installed and will be available for all users of the computer. See Verify the Installation of a Deployment to validate that the group policy has been created correctly.


Verify the Installation of a Deployment

Assign a Deployment to Computers
Use Group Policies to Install a Deployment
Verify That the Program Is Assigned to a Computer
Use Group Policies to Install a Deployment >
Verify the Installation of a Deployment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

As a computer is restarted, the operating system displays messages about group policy, generally just before or after the Windows Login dialog box is displayed. These messages include the following:

  • Windows starting up
  • Applying computer settings
  • Installing managed software <application>
  • Applying software installation settings
  • Loading your personal settings
  • Applying your personal settings

From a Windows XP or Windows 2000 workstation, users log in under the organizational unit or computer for which the group policy has been created.

NoteIf problems arise, an entry is logged in the system's Event Viewer under Applications.

Topics in this section

  • Verify That the Program Is Assigned to a Computer


Verify That the Program Is Assigned to a Computer

Verify the Installation of a Deployment
Verify the Installation of a Deployment
Use Microsoft System Center Configuration Manager to Install a Deployment
Use Group Policies to Install a Deployment > Verify the Installation of a Deployment >
Verify That the Program Is Assigned to a Computer
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To verify that this program has been correctly assigned to a computer, restart a computer that is in the organizational unit for which the group policy was created. The program is installed before the login prompt is displayed. After logging in, double-click the program icon on the desktop. A second-time installation begins. At the completion of the installation, the program starts.


Use Microsoft System Center Configuration Manager to Install a Deployment

Verify That the Program Is Assigned to a Computer
Introduction
Use Microsoft System Center Configuration Manager to Install a Deployment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following information provides details for deploying Autodesk software using Microsoft® System Center Configuration Manager (SCCM). SCCM allows you to manage software distribution to selected target systems through a remote process.

Topics in this section

  • Introduction
  • Tasks for Deploying Autodesk Software with SCCM
  • Set Up a Source Directory Using the Deployment Wizard
  • Create the SCCM Software Installation Package


Introduction

Use Microsoft System Center Configuration Manager to Install a Deployment
Use Microsoft System Center Configuration Manager to Install a Deployment
Tasks for Deploying Autodesk Software with SCCM
Use Microsoft System Center Configuration Manager to Install a Deployment >
Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To deploy Autodesk software, you should be familiar with the SCCM/SMS software distribution process. For more information about this topic, consult your Microsoft SCCM documentation and support resources.


Tasks for Deploying Autodesk Software with SCCM

Introduction
Use Microsoft System Center Configuration Manager to Install a Deployment
Set Up a Source Directory Using the Deployment Wizard
Use Microsoft System Center Configuration Manager to Install a Deployment >
Tasks for Deploying Autodesk Software with SCCM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To deploy Autodesk software with SCCM, it is recommended that you complete the following:

  • Identify or create a collection of target systems to receive the software package
  • Create a source directory using the Deployment wizard
  • Create a SCCM package to deploy to your target systems
  • Provide the path for the source files
  • Distribute the SCCM package to the distribution points
  • Create an advertisement to notify users of the availability of the software package


Set Up a Source Directory Using the Deployment Wizard

Tasks for Deploying Autodesk Software with SCCM
Use Microsoft System Center Configuration Manager to Install a Deployment
Create the SCCM Software Installation Package
Use Microsoft System Center Configuration Manager to Install a Deployment >
Set Up a Source Directory Using the Deployment Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you use SCCM to deploy Autodesk software, you set up the source directory using the Deployment wizard.

The Deployment wizard creates an administrative image that is used by SCCM to distribute the Autodesk software to the target systems. The location where you perform the administrative installation becomes the location of the package source directory.

To learn more about deployments and setting up the source directory for Autodesk software, see the following topics in the Network Administrator’s Guide:

  • Deployment Preparation
  • Preliminary Tasks for a Network Deployment
  • Creating a Default Deployment
  • Creating a Configured or Customized Deployment
  • Modify a Deployment (optional)
NoteIt is recommended that you test the deployment created by the Deployment wizard before trying to configure SCCM to deploy the program to ensure that there are no problems with the administrative image and deployment.

To test the Deployment wizard deployment

  1. Log on to a Windows XP Professional or Vista workstation as a user who has administrative privileges.
  2. Navigate to the source directory where your deployment was created.
  3. Double-click the deployment shortcut created by the Deployment wizard.

    The program will either be installed or error information will be written to the log file at %temp%.


Create the SCCM Software Installation Package

Set Up a Source Directory Using the Deployment Wizard
Use Microsoft System Center Configuration Manager to Install a Deployment
Distribute the Product Using Imaging Software
Use Microsoft System Center Configuration Manager to Install a Deployment >
Create the SCCM Software Installation Package
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

After creating the source directory using the Deployment wizard, you create the SCCM software installation package. An SCCM package contains the files and instructions that SCCM uses to distribute the software and advertise the package. The Deployment wizard creates the files and instructions, but SCCM must be configured to use these files.

To create a software installation package using SCCM

  1. Do one of the following:
    • (Windows XP or Windows Vista) Click Start menu [image] All Programs [image] Microsoft System Center [image] Configuration Manager 2007 [image] ConfigMgr Console.
  2. In the Configuration Manager Console window, expand Software Distribution.
  3. Right-click Packages [image] Distribute [image] Software.
  4. In the Distribute Software wizard, click Next.
  5. In the Package dialog box, select Create a New Package and Program without a Definition File. Click Next.
  6. In the Package Identification dialog box, enter the information for Name, Version, Publisher, Language and any comments. Click Next.
  7. In the Source Files dialog box, make selections to where SCCM retrieves the files and how it manages them. Click Next.
    NoteIn this procedure, “Always Obtain Files from a Source Directory” was selected.
  8. In the Source Directory dialog box, specify the directory where the source files are stored. Click Next.
  9. In the Distribution Points dialog box, select the distribution point(s). This is the location from which the software package will be deployed to the target systems. Click Next.
  10. In the Program Identification dialog box, enter the name of your program. This is the name that displays in Add or Remove Programs in the Control Panel. In the Command Line field, enter AdminImage\setup.exe /W /Q /I AdminImage\<deployment name>.ini /Lang en-US. In this case, our deployment is named AutoCAD 2010, so you would enter AdminImage\setup.exe /W /Q /I AdminImage\AutoCAD 2010.ini /Lang en-US. Click Next.
    NoteThe example above assumes the language pack you wish to install is US English. /W is the flag for SMS and SCCM, /Q is the silent install, /I indicates this is a deployment installation.
  11. In the Program Properties dialog box, Program Can Run drop-down list, select how you want your program to install. Your choices are:
    • Only When a User is Logged On
    • Whether or Not a User is Logged On
    • Only When No User is Logged On
  12. In the After Running drop-down list, select an action to take after the program has deployed. Your choices are
    • No Action Required
    • Program Restarts Computer
    • ConfigMgr Restarts Computer
    • ConfigMgr Logs User Off
    NoteAutoCAD requires you to restart your system after installation.
    Click Next.
  13. In the Advertise Program dialog box, select Yes to advertise the program. Click Next.
  14. In the Select a Program to Advertise dialog box, select the package you want to advertise. Click Next.
  15. In the Select Program [image] Advertisement Target dialog box, select the collection to which you want to advertise, or create a new collection.
  16. In the Select Program [image] Advertisement Name dialog box, enter or change the name of your advertisement. Add any comments to further describe the advertisement. Click Next.
  17. In the Select Program [image] Advertisement Subcollection dialog box, select one of the following options:
    • Advertise this Program to an Existing Collection
    • Create a New Collection and Advertise this Program to It
  18. Click Next.
  19. In the Select Program [image] Advertisement Schedule dialog box, if desired, set options to advertise your program at a specific date and time, or set an expiration date. Click Next.
  20. In the Select Program [image] Assign Program dialog box, select one of the following options:
    • If the installation process is mandatory, select Yes, Assign the Program.
    • If the installation process is optional, select No, Do Not Assign the Program.
    Click Next.
  21. In the Summary dialog box, verify your advertisement information. Use the back buttons to make any changes. To finish, click Next.


Distribute the Product Using Imaging Software

Create the SCCM Software Installation Package
Use a Master Image to Distribute Multi-Seat Stand-Alone Products to Multiple Systems
Distribute the Product Using Imaging Software
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following information is provided for those who use imaging software, such as Norton Ghost, to create a master image to distribute Autodesk products. Once created, the master image is then replicated to other computers throughout your facility.

Care needs to be taken since the use of imaging software can result in the following situations:

  • Conflicts with the product licensing
  • Incomplete installations and problems with activation

Topics in this section

  • Use a Master Image to Distribute Multi-Seat Stand-Alone Products to Multiple Systems
  • Use a Master Image to Distribute Network Licensed Products to Multiple Systems
  • Restore the Master Image
  • Clean a Master System and Restore the Operating System


Use a Master Image to Distribute Multi-Seat Stand-Alone Products to Multiple Systems

Distribute the Product Using Imaging Software
Distribute the Product Using Imaging Software
Use a Master Image to Distribute Network Licensed Products to Multiple Systems
Distribute the Product Using Imaging Software >
Use a Master Image to Distribute Multi-Seat Stand-Alone Products to Multiple Systems
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can distribute the product using a master image for a multi-seat stand-alone product.

NoteWhen using Norton Ghost, you must use the -ib switch to include the boot sector in your master image. Consult your imaging software for more details on including the boot sector as part of the master image.

Master images should not be created if you’ve previously run Autodesk products on the master computer. Cleaning the system may be necessary.

To distribute a multi-seat stand-alone product to multiple computers using a master image

  1. Create a network deployment for a multi-seat stand-alone product. For more information, see Creating a Configured or Customized Deployment.
  2. Install AutoCAD from the deployment onto the master computer.
  3. Do one of the following on the master computer:
    • Create a master image, including the boot sector. Test the product on a machine other than the master computer before distributing the product. Launch the product on the other machine, and register and activate it. Users have a 30-day grace period to register and activate the product on their machines.
    • Launch and customize the product as necessary. Create a master image and distribute it to users. If users’ computers are connected to the Internet, the product is automatically activated. Users whose computers are not connected to the Internet have a 7-day grace period to register and activate the product.
  4. Apply the master image to the target computers.


Use a Master Image to Distribute Network Licensed Products to Multiple Systems

Use a Master Image to Distribute Multi-Seat Stand-Alone Products to Multiple Systems
Distribute the Product Using Imaging Software
Restore the Master Image
Distribute the Product Using Imaging Software >
Use a Master Image to Distribute Network Licensed Products to Multiple Systems
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can distribute the product using a master image for a network licensed product.

To distribute a network licensed product to multiple computers using a master image

  1. Create a network deployment for a network licensed product. For more information, see Creating a Configured or Customized Deployment.
  2. Install AutoCAD from the deployment onto the master computer.
    NoteA license server must be running, and each computer must be connected to the network in order for the product to obtain a license.
  3. After AutoCAD has been installed, use imaging software to create a master image of the system's hard drive.
  4. Apply the master image to the target computers.


Restore the Master Image

Use a Master Image to Distribute Network Licensed Products to Multiple Systems
Distribute the Product Using Imaging Software
Clean a Master System and Restore the Operating System
Distribute the Product Using Imaging Software >
Restore the Master Image
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following procedure assumes that you have saved a copy of each workstation’s AdLM folder (and Product Licenses folder, if present) to either another workstation or a disc before you reformat the workstation.

To restore a product using a master image

  1. Exit the application. Do not run the application again until after you have completed this procedure.
  2. In Windows Explorer, copy the AdLM folder from the appropriate path shown below to a location other than the disc that will be restored.

    C:\Documents and Settings\All Users\Application Data\FLEXnet

  3. Reformat the workstation and restore the master image.
    NoteDo not perform a low-level format of the hard drive.
  4. Copy the AdLM folder that you created in step 2 to its original workstation and location on that workstation.
NoteWhen you restore the disc image, any files that were altered are put back in their original state and ready to use again. The license files are preserved, and no reactivation of products is necessary.


Clean a Master System and Restore the Operating System

Restore the Master Image
Distribute the Product Using Imaging Software
Installation Troubleshooting
Distribute the Product Using Imaging Software >
Clean a Master System and Restore the Operating System
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you have already run AutoCAD on the master computer, the master computer should be properly cleaned first.

To clean a master computer and restore the operating system

  1. Clean the hard drive, including the boot sector.

    For example, if you use Norton’s GDISK utility, use the following command:

    gdisk 1 /diskwipe

    Where 1 is the hard disk that is being wiped.

    NoteIf you use a utility other than Norton Ghost, make sure that it cleans the boot sector; otherwise, you will not be able to activate Autodesk products.
  2. Create a new partition and use the restore disc or product disc to install the operating system.


Installation Troubleshooting

Clean a Master System and Restore the Operating System
General Installation Issues
Installation Troubleshooting
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section provides solutions to installation issues and answers to commonly asked questions that may arise while installing your product(s). Additional troubleshooting information and support is also available at http://autodesk.com/servicesandsupport

Topics in this section

  • General Installation Issues
  • Deployment Issues
  • Licensing Issues
  • Networking Issues
  • Uninstall and Maintenance Issues


General Installation Issues

Installation Troubleshooting
Installation Troubleshooting
How can I check my graphics card driver to see if it needs to be updated?
Installation Troubleshooting >
General Installation Issues
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section outlines common issues and their solutions that may arise while performing a general install of your product(s).

Topics in this section

  • How can I check my graphics card driver to see if it needs to be updated?
  • What is the text editor used for?
  • When performing a Typical installation, what gets installed?
  • Why should I install the Material Library?
  • Where are my product manuals?


How can I check my graphics card driver to see if it needs to be updated?

General Installation Issues
General Installation Issues
What is the text editor used for?
Installation Troubleshooting > General Installation Issues >
How can I check my graphics card driver to see if it needs to be updated?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

It is recommended that you verify and update your graphics card driver to optimize your program. Use the following procedure to identify your current graphics card driver.

To identify your graphics card driver

  1. Start AutoCAD.
  2. At the command line, enter 3dconfig.
  3. In the Adaptive Degradation and Performance Tuning dialog box, click View Tune Log.
  4. Review the 3D Device section for information about your system's graphics card driver and driver version.
TipMany newer graphic cards offer tabbed pages where you can learn more precise information about your specific graphic card. If specific tab pages are present, refer to them instead of the Adapter tab.


What is the text editor used for?

How can I check my graphics card driver to see if it needs to be updated?
General Installation Issues
When performing a Typical installation, what gets installed?
Installation Troubleshooting > General Installation Issues >
What is the text editor used for?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The text editor you designate during installation is used for editing text files such as PGP and CUS dictionary files while you are running your product.


When performing a Typical installation, what gets installed?

What is the text editor used for?
General Installation Issues
Why should I install the Material Library?
Installation Troubleshooting > General Installation Issues >
When performing a Typical installation, what gets installed?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A Typical installation includes the following features:

CAD Standards | Contains tools for reviewing design files for compliance with your standards.
Database | Contains database access tools.
Dictionaries | Contains multi-language dictionaries.
Drawing Encryption | Allows you to use the Security Options dialog box to protect a drawing with a password.
Express Tools | Contains AutoCAD support tools and utilities (not supported by Autodesk).
Fonts | Contains AutoCAD fonts and TrueType fonts.
Autodesk Impression Toolbar | The Impression toolbar allows you to quickly export any view to Autodesk Impression for advanced line effects.
Autodesk Seek | Autodesk Seek. NoteSeek will only be installed in the English version of AutoCAD.
New Features Workshop | Contains animated demos, exercises, and sample files to help users learn the new features.
License Transfer Utility | Allows users to transfer an Autodesk product license between computers. NoteThe utility will not be installed on unlocked versions of AutoCAD.
Migrate Custom Settings | Migrates custom settings and files from previous version of your product to this version.
Initial Setup | Allows users to set up their initial configuration of AutoCAD (online content, workspaces) based on their units system, industry, and commonly used task-based tools.
Reference Manager | Allows users to view and edit the paths of externally referenced files associated with a drawing.
Samples | Contains various feature sample files.
VBA Support | Contains Microsoft Visual Basic for Applications support files.


Why should I install the Material Library?

When performing a Typical installation, what gets installed?
General Installation Issues
Where are my product manuals?
Installation Troubleshooting > General Installation Issues >
Why should I install the Material Library?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Material Library contains more than 300 professionally made materials that you can immediately apply to objects in your model. They can also act as a basis for custom materials that you want to create.

For more information regarding materials, see Materials and Textures in the AutoCAD User’s Guide.


Where are my product manuals?

Why should I install the Material Library?
General Installation Issues
Deployment Issues
Installation Troubleshooting > General Installation Issues >
Where are my product manuals?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Documentation for Autodesk products are available in two formats: PDF files and CHM files.

  • PDF files are made available during installation; click the Read the Documentation button on the initial installation page, or select the Documentation link located on each install page. You need Adobe® Reader® to view PDFs. To download the Reader free of charge, visit www.adobe.com.
  • CHM files are available after the product is installed; they are accessed in the Help system in the product.

For late-breaking information see the product’s Readme file, on the product disc. The Readme is also available from the Installation Complete page, or through the Help system.


Deployment Issues

Where are my product manuals?
Installation Troubleshooting
Is there a checklist I can refer to when performing a deployment?
Installation Troubleshooting >
Deployment Issues
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section outlines common issues and their solutions with regards to software deployments.

Topics in this section

  • Is there a checklist I can refer to when performing a deployment?
  • Where should deployments be located?
  • What are the default search paths and file location settings?
  • How will changing the support file locations affect my search paths?
  • Along with defining search paths and file location, can files be added?
  • Where can I check if service packs are available for my software?
  • How do I extract an MSP file?
  • Can Online Resource settings be modified later?
  • Where can I learn about InfoCenter?
  • What are information channels?
  • What are the benefits to enabling CAD Manager Channels?
  • What are RSS feeds and how do they benefit my installation?
  • Where can I learn about InfoCenter search locations?
  • How do I set or customize search locations?


Is there a checklist I can refer to when performing a deployment?

Deployment Issues
Deployment Issues
Where should deployments be located?
Installation Troubleshooting > Deployment Issues >
Is there a checklist I can refer to when performing a deployment?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Network Administrator Guide contains a complete section that describes preliminary actions and the entire deployment process. See Preliminary Tasks for a Network Deployment.


Where should deployments be located?

Is there a checklist I can refer to when performing a deployment?
Deployment Issues
What are the default search paths and file location settings?
Installation Troubleshooting > Deployment Issues >
Where should deployments be located?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Shared folders are required for both network license and multi-seat stand-alone methods of installation. The shared folder (network share) is created before you run the Installation wizard and is where product deployments are stored.

It is recommended that you name the network share folder Deployments on the desktop of the system where you want deployments stored. You can then add subfolders inside the shared Deployments folder that clearly convey the names of products you plan to deploy. For example, any subfolders that are placed inside a shared folder are automatically shared.

TipYou must have Full Control permissions set for your shared folder when you are creating your deployment images. Read permissions are necessary to access the network share and administrative permissions on the workstation where the program is deployed.


What are the default search paths and file location settings?

Where should deployments be located?
Deployment Issues
How will changing the support file locations affect my search paths?
Installation Troubleshooting > Deployment Issues >
What are the default search paths and file location settings?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

On the Select Installation Folders for Support Content page of the Deployment wizard, you can choose where your support content gets installed by specifying a folder other than the user profile folder. Support files include drivers, menus, and optional, user-defined settings such as dictionary and customization files.

When an install path for support content is specified, it will be populated into the corresponding search paths on the Define Search Paths and File Locations page.

Support File Search Path | Specifies the folders in which the program should look for text fonts, customization files, plug-ins, drawings to insert, linetypes, and hatch patterns that are not in the current folder.
Customization Files | Specifies the names and locations of various types of files. Main Customization File: Specifies the default location of the main customization file (acad.cui). Enterprise Customization File: Specifies the location of an enterprise customization file. Custom Icon Location: Specifies the location for custom icons used in customization files.
Dictionary and Font Files | Specifies a number of optional settings. Custom Dictionary File: Specifies a custom dictionary to use (if you have one). Alternate Font File: Specifies the location of the font file to use if the original font cannot be located and an alternate font is not specified in the font mapping file. Font Mapping File: Specifies the location of the file that defines how to convert fonts that cannot be found.
Printer Support File Path | Specifies search path settings for printer support files. Printer Configuration Search Path: Specifies the path for printer configuration files (PC3 files). Printer Description File Search Path: Specifies the path for files with a .pmp file extension, or printer description files. Plot Style Table Search Path: Specifies the path for files with an .stb or .ctb extension, or plot style table files (both named plot style tables and color-dependent plot style tables).
Automatic Save File Location | Specifies the path for the file created when you select Automatic Save on the Open and Save tab.
Color Book Locations | Specifies the path for color book files that can be used when specifying colors in the Select Color dialog box. You can define multiple folders for each path specified. This option is saved with the user profile.
Data Sources Location | Specifies the path for database source files. Changes to this setting do not take effect until you close and restart the program.
Template Settings | Specifies the drawing template settings. Drawing Template File Location: Specifies the path to locate drawing template files used by the Start Up wizard and New dialog box. Sheet Set Template File Location: Specifies the path to locate sheet set template files used by the Create Sheet Set wizard. Default Template File Name for QNEW: Specifies the drawing template file used by the QNEW command. Default Template for Sheet Creation and Page Setup Overrides: Specifies the default template file that is used for creating new sheets and for storing page setup overrides that can be applied to Publish operations from the Sheet Set Manager.
Tool Palette File Locations | Specifies the path for tool palette support files.
Log File Locations | Specifies the path for the log file created when you select Maintain a Log File on the Open and Save tab.
Plot and Publish Log File Location | Specifies the path for the log file that is created if you select the Automatically Save Plot and Publish Log option on the Plot and Publish tab of the OPTION command.
Temporary Drawing File Location | Specifies the location to store temporary files. This program creates temporary files and then deletes them when you exit the program. If you plan to run the program from a write-protected folder (for example, if you are working on a network or opening files from a disc), specify an alternate location for your temporary files. The folder you specify must not be write-protected.
Temporary External Reference File Location | Specifies the location of external reference (xref) files. This location is used for the copy of the xref when you select Enabled with Copy in the Demand Load Xrefs list on the Open and Save tab.
Texture Maps Search Path | Specifies the folders to search for rendering texture maps.
i-drop Associated File Location | Specifies the location of data files associated with i-drop content. When the location is not specified, the location of the current drawing file is used.


How will changing the support file locations affect my search paths?

What are the default search paths and file location settings?
Deployment Issues
Along with defining search paths and file location, can files be added?
Installation Troubleshooting > Deployment Issues >
How will changing the support file locations affect my search paths?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When a different install path for support content is specified, it will be populated into the correspondent search paths on the Define Search Paths and File Locations page. If one is not specified, the first search path will replace the install path. The table below outlines the specific search paths that can be affected by resetting your support file install paths.

Install path Search paths and file locations

Support

  • Support file search path
  • Customization files > Main customization files
  • Custom dictionary file
  • Font mapping file
  • Color Book locations
  • Tool palette file locations
  • Action Recorder settings. Action Recording file location
  • DGN mapping setup locations

Plotter

  • Printer support file path

Printer configuration search path

Printer description file search path

Plot style table search path

Data links

  • Data source location

Templates

  • Template settings

Drawing template file location

Sheet Set template file location

Default templates for sheet creation and page setup overrides

Rendering

  • Texture maps search path (all three paths should be replaced by the install path values with proper sub folders)


Along with defining search paths and file location, can files be added?

How will changing the support file locations affect my search paths?
Deployment Issues
Where can I check if service packs are available for my software?
Installation Troubleshooting > Deployment Issues >
Along with defining search paths and file location, can files be added?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Using the Add button, you can set paths to folders where files are stored. You cannot add specific files.


Where can I check if service packs are available for my software?

Along with defining search paths and file location, can files be added?
Deployment Issues
How do I extract an MSP file?
Installation Troubleshooting > Deployment Issues >
Where can I check if service packs are available for my software?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To find out if a patch or Service Pack is available for your product, visit AutoCAD Support page at http://autodesk.com/servicesandsupport.


How do I extract an MSP file?

Where can I check if service packs are available for my software?
Deployment Issues
Can Online Resource settings be modified later?
Installation Troubleshooting > Deployment Issues >
How do I extract an MSP file?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A Microsoft Patch (MSP) file is usually contained in a Service Pack executable that you download from AutoCAD Support website. To extract the MSP file from the executable, run the patch program from the Windows command prompt using the /e switch.

Pay particular attention to the location where the files are extracted. For details about using the patch file, review the Readme file for that patch.


Can Online Resource settings be modified later?

How do I extract an MSP file?
Deployment Issues
Where can I learn about InfoCenter?
Installation Troubleshooting > Deployment Issues >
Can Online Resource settings be modified later?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Yes. If you want to change the state of online resources after a product is installed, you can do that from the CAD Manager Control utility. The CAD Manager Control utility is installed separately from AutoCAD.

From the Installation wizard, select Install Tools and Utilities and then select the CAD Manager Control utility. After installation is complete, you can open the utility from the Start menu. Do one of the following:

  • (Windows XP or Windows Vista) click All Programs [image] Autodesk [image] CAD Manager Tools [image] CAD Manager Control Utility.


Where can I learn about InfoCenter?

Can Online Resource settings be modified later?
Deployment Issues
What are information channels?
Installation Troubleshooting > Deployment Issues >
Where can I learn about InfoCenter?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can use InfoCenter to enter a question for help, display the Communication Center panel for product updates and announcements, or display the Favorites panel to access saved topics. For more information, refer to Configure InfoCenter Communication Center (optional).


What are information channels?

Where can I learn about InfoCenter?
Deployment Issues
What are the benefits to enabling CAD Manager Channels?
Installation Troubleshooting > Deployment Issues >
What are information channels?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Communication Center component of InfoCenter allows you to receive announcements from various information channels. Through information channels, you can receive the following:

  • Product Support information, including maintenance patch notifications.
  • Subscription Center announcements and subscription program news, as well as links to e-Learning Lessons, if you are an Autodesk subscription member.
  • Notifications of new articles and tips posted on Autodesk websites.


What are the benefits to enabling CAD Manager Channels?

What are information channels?
Deployment Issues
What are RSS feeds and how do they benefit my installation?
Installation Troubleshooting > Deployment Issues >
What are the benefits to enabling CAD Manager Channels?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

CAD Manager Channels allow access to Internet-based content and information feeds from a specified feed location.


What are RSS feeds and how do they benefit my installation?

What are the benefits to enabling CAD Manager Channels?
Deployment Issues
Where can I learn about InfoCenter search locations?
Installation Troubleshooting > Deployment Issues >
What are RSS feeds and how do they benefit my installation?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An RSS feed is a live link you initiate by subscribing to someone’s website. Once subscribed, the primary benefit is a constantly updating stream of content that is delivered to your system in the form of summarized articles, forum threads, blog posts, and so on. RSS stands for Rich Site Summary (or Really Simple Syndication).


Where can I learn about InfoCenter search locations?

What are RSS feeds and how do they benefit my installation?
Deployment Issues
How do I set or customize search locations?
Installation Troubleshooting > Deployment Issues >
Where can I learn about InfoCenter search locations?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can use InfoCenter to search multiple sources (for example, Help and specified files) at one time, or choose to search a single file or location.

For more information, refer to Configure InfoCenter Communication Center (optional).


How do I set or customize search locations?

Where can I learn about InfoCenter search locations?
Deployment Issues
Licensing Issues
Installation Troubleshooting > Deployment Issues >
How do I set or customize search locations?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

InfoCenter Search and Communication Center settings can be set in the InfoCenter Settings dialog box or in the CAD Manager Control utility. You must use the CAD Manager Control utility to specify CAD Manager Channel settings.

See Configure InfoCenter Communication Center (optional) for more information regarding the settings you can configure.


Licensing Issues

How do I set or customize search locations?
Installation Troubleshooting
What is the difference between a stand-alone license and a network license?
Installation Troubleshooting >
Licensing Issues
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section outlines common issues and their solutions with regards to software licenses and licensing your product(s).

Topics in this section

  • What is the difference between a stand-alone license and a network license?
  • What is the benefit of using a network licensed version of the software?
  • What is Internet Explorer used for?


What is the difference between a stand-alone license and a network license?

Licensing Issues
Licensing Issues
What is the benefit of using a network licensed version of the software?
Installation Troubleshooting > Licensing Issues >
What is the difference between a stand-alone license and a network license?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Stand-alone licensed products are registered and activated to an individual workstation. While the software can be installed on multiple systems in your facility, the license only allows one system to be operational. If you need to run more systems, you need to purchase more stand-alone licensed products, or consider converting to network licenses.

Network licensed products rely on the Network License Manager to keep track of software licenses. The software can be installed and run on multiple systems, up to the maximum number of licenses you’ve purchased. The Network License Manager “checks out” licenses until they are all in use. No further systems can run the program until a license is “checked in.” If you need to run more systems, you can purchase additional licenses for the Network License Manager to maintain.


What is the benefit of using a network licensed version of the software?

What is the difference between a stand-alone license and a network license?
Licensing Issues
What is Internet Explorer used for?
Installation Troubleshooting > Licensing Issues >
What is the benefit of using a network licensed version of the software?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Network licensed products are recommended for large drafting/design facilities, classrooms, and lab environments. The main advantage is that you can install products on more systems than the number of licenses you have purchased (for example, purchasing 25 licenses but installing on 40 workstations). At any one time, products will run on the maximum number of systems for which you have licenses. This means you get a true floating license. If software needs to be run on more systems, additional licenses can be purchased.

Registration and activation occurs only once and the licenses are maintained on your Network License Server.


What is Internet Explorer used for?

What is the benefit of using a network licensed version of the software?
Licensing Issues
Networking Issues
Installation Troubleshooting > Licensing Issues >
What is Internet Explorer used for?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

After installing your product, you can operate in trial mode for a given number of days. Whenever you launch the program, you are prompted to activate the software. When you choose to activate the software, Internet Explorer makes this process much faster. Once you entered your registration data and submit it to Autodesk, an activation code is returned and you are not prompted again during startup.


Networking Issues

What is Internet Explorer used for?
Installation Troubleshooting
When installing tools and utilities, which selections are applicable for a multi-seat stand-alone installation?
Installation Troubleshooting >
Networking Issues
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section outlines common issues and their solutions with regards to performing a network installation or configuring your network license server(s).

Topics in this section

  • When installing tools and utilities, which selections are applicable for a multi-seat stand-alone installation?
  • When installing tools and utilities, which selections are applicable for a stand-alone installation?
  • Where do I find my server name?
  • When specifying user workstation settings, I am given the option to specify a profile. What are profiles?
  • Can I create custom desktop shortcuts?
  • What happens when you choose to append or merge service packs?
  • What is an administrative image (MSI) file?
  • What is the impact of selecting all products for the administrative image, and can I add products later?


When installing tools and utilities, which selections are applicable for a multi-seat stand-alone installation?

Networking Issues
Networking Issues
When installing tools and utilities, which selections are applicable for a stand-alone installation?
Installation Troubleshooting > Networking Issues >
When installing tools and utilities, which selections are applicable for a multi-seat stand-alone installation?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Since a multi-seat stand-alone licensed product does not rely upon a license server to manage or activate the license, the only tool that is beneficial is the Autodesk CAD Manager tool.

You need the CAD Manager tool if you want to make changes to CAD Manager Channels.


When installing tools and utilities, which selections are applicable for a stand-alone installation?

When installing tools and utilities, which selections are applicable for a multi-seat stand-alone installation?
Networking Issues
Where do I find my server name?
Installation Troubleshooting > Networking Issues >
When installing tools and utilities, which selections are applicable for a stand-alone installation?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Autodesk CAD Manager tool is the only tool that is beneficial to a stand-alone licensed product. With the CAD Manager tool, you can modify CAD Manager Channels.


Where do I find my server name?

When installing tools and utilities, which selections are applicable for a stand-alone installation?
Networking Issues
When specifying user workstation settings, I am given the option to specify a profile. What are profiles?
Installation Troubleshooting > Networking Issues >
Where do I find my server name?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When installing a network licensed product, you must specify the name of the server that will run the Network License Manager. If you don’t know the server name, you can quickly find it by opening a Windows command prompt on the system that will be the Network License Manager. At the prompt, enter ipconfig /all and note the Host Name entry.


When specifying user workstation settings, I am given the option to specify a profile. What are profiles?

Where do I find my server name?
Networking Issues
Can I create custom desktop shortcuts?
Installation Troubleshooting > Networking Issues >
When specifying user workstation settings, I am given the option to specify a profile. What are profiles?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Profiles are created on the Profiles tab of the Options dialog box. Profiles can contain configuration settings for just about anything that is not a drawing based system variable. For example, a profile can contain things like support paths, grip settings, and plot settings.

When you specify a profile on the Specify User Preferences page during the deployment process, it ensures that all workstations that use that deployment to install the product will be configured the same way.


Can I create custom desktop shortcuts?

When specifying user workstation settings, I am given the option to specify a profile. What are profiles?
Networking Issues
What happens when you choose to append or merge service packs?
Installation Troubleshooting > Networking Issues >
Can I create custom desktop shortcuts?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can choose to create custom desktop shortcuts that use command line switches to specify several options when you start the program. For example, command line switches can be set to run a script during program launch, create a drawing based on a template or prototype drawing, or designate a workspace that should be restored on startup.

For more information, see Customize Startup in the AutoCAD User’s Guide.


What happens when you choose to append or merge service packs?

Can I create custom desktop shortcuts?
Networking Issues
What is an administrative image (MSI) file?
Installation Troubleshooting > Networking Issues >
What happens when you choose to append or merge service packs?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you append a service pack, the service pack is applied to the current deployment only. Multiple service packs may be appended to a deployment. The service pack file is included in the deployment and the service pack is applied after the product is deployed.

When you merge a service pack, the service pack is merged into the administrative image. Once merged, a service pack may not be removed from the administrative image. Multiple service packs may be included in a single administrative image.

You can choose to append or merge service packs from the Include Service Packs page when creating a deployment.


What is an administrative image (MSI) file?

What happens when you choose to append or merge service packs?
Networking Issues
What is the impact of selecting all products for the administrative image, and can I add products later?
Installation Troubleshooting > Networking Issues >
What is an administrative image (MSI) file?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An administrative image is a collection of shared file resources created during the deployment process and is used by deployments to install the program to networked workstations. Service packs (patches) can be applied to an administrative image when you create the deployment. A .msi file is a Microsoft Installer file.


What is the impact of selecting all products for the administrative image, and can I add products later?

What is an administrative image (MSI) file?
Networking Issues
Uninstall and Maintenance Issues
Installation Troubleshooting > Networking Issues >
What is the impact of selecting all products for the administrative image, and can I add products later?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you elect to include all products in your deployment, the administrative image will be larger. You should select all products only when you create multiple deployments from this image and prefer not to use the installation disc. If there are products you rarely or never use, and you do not expect to create additional deployments, you should only select a subset of products.

You can still create a deployment at a later date, and include additional products, but you need to create a new administrative image. You need the installation disc to do so.


Uninstall and Maintenance Issues

What is the impact of selecting all products for the administrative image, and can I add products later?
Installation Troubleshooting
When adding or removing features, how can I tell what features get installed by default?
Installation Troubleshooting >
Uninstall and Maintenance Issues
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section outlines common issues and their solutions with regards to adding and removing features, reinstalling or repairing your installation, and uninstalling products.

Topics in this section

  • When adding or removing features, how can I tell what features get installed by default?
  • Is it possible to change the installation folder when adding or removing features?
  • When should I reinstall the product instead of a repair?
  • Do I need my original disc to reinstall my software?
  • After repairing my installation, is it possible to recover my settings?
  • When I uninstall my software, what files are left on my system?


When adding or removing features, how can I tell what features get installed by default?

Uninstall and Maintenance Issues
Uninstall and Maintenance Issues
Is it possible to change the installation folder when adding or removing features?
Installation Troubleshooting > Uninstall and Maintenance Issues >
When adding or removing features, how can I tell what features get installed by default?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To quickly see what gets installed during a typical, default installation, click the Restore Defaults button on the Add/Remove Features page.

CAD Standards | Contains tools for reviewing design files for compliance with your standards.
Database | Contains database access tools.
Dictionaries | Contains multi-language dictionaries.
Drawing Encryption | Allows you to use the Security Options dialog box to protect a drawing with a password.
Express Tools | Contains AutoCAD support tools and utilities (not supported by Autodesk).
Fonts | Contains AutoCAD fonts and TrueType fonts.
Autodesk Impression Toolbar | The Impression toolbar allows you to quickly export any view to Autodesk Impression for advanced line effects.
Autodesk Seek | Autodesk Seek. NoteSeek will only be installed in the English version of AutoCAD.
New Features Workshop | Contains animated demos, exercises, and sample files to help users learn the new features.
License Transfer Utility | Allows users to transfer an Autodesk product license between computers. NoteThe utility will not be installed on unlocked versions of AutoCAD.
Migrate Custom Settings | Migrates custom settings and files from previous version of your product to this version.
Initial Setup | Allows users to set up their initial configuration of AutoCAD (online content, workspaces) based on their units system, industry, and commonly used task-based tools.
Reference Manager | Allows users to view and edit the paths of externally referenced files associated with a drawing.
Samples | Contains various feature sample files.
VBA Support | Contains Microsoft Visual Basic for Applications support files.


Is it possible to change the installation folder when adding or removing features?

When adding or removing features, how can I tell what features get installed by default?
Uninstall and Maintenance Issues
When should I reinstall the product instead of a repair?
Installation Troubleshooting > Uninstall and Maintenance Issues >
Is it possible to change the installation folder when adding or removing features?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Once your product is installed, you cannot change the installation path from the Add/Remove Features page. Changing the path while adding features results in program corruption, so it is not an option.


When should I reinstall the product instead of a repair?

Is it possible to change the installation folder when adding or removing features?
Uninstall and Maintenance Issues
Do I need my original disc to reinstall my software?
Installation Troubleshooting > Uninstall and Maintenance Issues >
When should I reinstall the product instead of a repair?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You should reinstall your product if you accidentally delete or alter files that are required by the program. Missing or altered files adversely affect the performance of your product and cause error messages when you try to execute a command or find a file.

If an attempt to repair an installation fails, reinstalling is the next best option.


Do I need my original disc to reinstall my software?

When should I reinstall the product instead of a repair?
Uninstall and Maintenance Issues
After repairing my installation, is it possible to recover my settings?
Installation Troubleshooting > Uninstall and Maintenance Issues >
Do I need my original disc to reinstall my software?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When performing a reinstall of the product, you do not need to have the original disc(s) on hand. Installation data is cached locally on your drive and that data is reused when reinstalling.


After repairing my installation, is it possible to recover my settings?

Do I need my original disc to reinstall my software?
Uninstall and Maintenance Issues
When I uninstall my software, what files are left on my system?
Installation Troubleshooting > Uninstall and Maintenance Issues >
After repairing my installation, is it possible to recover my settings?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Custom settings can be exported and later re-imported to the same system in case you have to repair the installation of your program.

For more detailed information regarding exporting and importing custom settings, see Migrate Custom Settings and Files from Previous Releases.


When I uninstall my software, what files are left on my system?

After repairing my installation, is it possible to recover my settings?
Uninstall and Maintenance Issues
Glossary
Installation Troubleshooting > Uninstall and Maintenance Issues >
When I uninstall my software, what files are left on my system?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you uninstall the product, some files remain on your system such as files you created or edited (drawings or custom menus).

Your license file also stays on your workstation when you uninstall your product. If you reinstall on the same workstation, the license information remains valid and you do not have to reactivate the product.


Glossary

When I uninstall my software, what files are left on my system?
Glossary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
activate

Part of the Autodesk software registration process, it allows you to run a product in compliance with the product's end-user license agreement.

Active Directory

A directory service from Microsoft that is part of Windows 2000 and Windows 2003 Server that manages the identities and relationships that make up network environments.

administrative image

A collection of shared file resources created by the Deployment wizard and used by deployments to install the program to network workstations.

advertising

A pull technology that notifies users of an updated software product that is available for installation. Users typically double-click a shortcut (or do a similar operation) to complete the installation of the advertised product.

Autodesk product startup accelerator (acstart17.exe)

A runtime process that can accelerate the initial startup of AutoCAD.

deploy

The process of installing an Autodesk product to one or more computers on a network.

deployment

A link to a unique MST (Microsoft Transform) file that serves as a basis for an installation. Using the Deployment wizard, administrators can create multiple deployments that result in different types of installations for users.

directory service

A network service that identifies all resources on a network and makes them accessible to users and applications. Resources include email addresses, computers, and peripheral devices such as printers. Ideally, the directory service should make the physical network topology and protocols transparent so that a user on a network can access any resource without knowing where or how it is physically connected. Virtually all directory services are based on the X.500 ITU standard.

FLEXnet

License management technology from Acresso Software, Inc. FLEXnet provides administrative tools that help to simplify management of network licenses. FLEXnet can be used to monitor network license status, reset licenses lost to a system failure, troubleshoot license servers, and update existing license files.

group policy

Microsoft server technology that provides a way to do push installations and advertising-based installations using standard Microsoft 2000 Server administration components.

installation image

A deployment that consists of an MSI file, any associated transforms, additional user-specified custom files, and profile and registry settings.

language pack

Provides for installation of a core product plus a language of choice. A pack consists of the localized content of a program, plus installer files.

License Transfer utility

Allows you to use an Autodesk product on more than one computer without purchasing a separate license for each computer.

MSI

Microsoft installer that supports a variety of parameters that can be scripted.

MSP

Microsoft patch file (see patch).

MST

Microsoft transform file. Modifies the components installed by the MSI file. For example, the Deployment wizard creates an MST file with the settings that you specify. The deployment created by the Deployment wizard uses the MST file in conjunction with the MSI file and MSIEXEC to install the program on local workstations.

multi-seat stand-alone installation

A type of installation where multiple stand-alone seats of the program are installed using a single serial number.

network license installation

A type of installation where you install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager.

partial profile

A profile that contains partial registry information corresponding to a subset of the options available from the Files tab of the Options dialog box.

patch

A software update to an application.

power user

A user with rights to access and write to the Program Files folder and the HKEY_Local_Machine folder of the registry.

pull technology

An installation technology that requires user interaction to complete the installation.

push technology

An installation technology that installs files to a remote desktop without any user interaction.

SCCM

Microsoft System Center Configuration Manager. A tool that helps administer networked machines by allowing remote configuration, push deployments, and user administration. SCCM is an expensive technology that must be purchased as an additional server.

scripting

The process of using scripting languages such as VB Script to facilitate the deployment of software packages.

service pack

Autodesk terminology for an application patch.

silent mode

An installation that proceeds without any explicit user input. No dialog boxes are presented that require interaction from the user.

transform

See MST.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!